
/* Controllers */

var quizControllers = angular.module('quizControllers', []);


quizControllers.factory( 'Global', function($rootScope) {
    var data = {"id":"78","name":"Excel 2016 - Grundlagen","category_id":"11","description":"Pr\u00fcfen Sie Ihre Kenntnisse und Kompetenzen rund\r\num Excel 2016. Nutzen Sie unser Buch <i>Excel 2016 - Grundlagen<\/i>, um eventuell\r\nvorhandene Wissensl\u00fccken schnell und effizient zu schlie\u00dfen.<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Excel 2016.png\"><br>","number":"3","image":"test_15_Excel.png","reference":"","randomize":"0","score":null,"created_at":"2015-10-29 10:05:06","updated_at":"2015-11-12 09:46:26","sortOrder":"50","internal_name":"ex2016 - Excel 2016 - Grundlagen = \"Office-Quiz\"","category":{"id":"11","name":"Excel 2016","version_id":"2","created_at":"2015-10-29 11:29:47","updated_at":"2015-10-29 11:29:57","sortOrder":"5"},"version":{"id":"2","name":"Office 2016","created_at":"2015-10-29 11:29:15","updated_at":"2015-10-29 11:29:15","sortOrder":"2"},"questions":[{"id":"656","title":"Frage 1","quiz_id":"78","description":"Welche Vorteile bietet die Tabellenkalkulation mit Excel? Mehrere Antworten sind richtig.<br>","type":"1","status":"1","image":null,"randomize":"0","reference":"1.1 Was ist Excel? (S. 5)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 10:39:12","sortOrder":"499","answers":[{"id":"2481","question_id":"656","details":"In einer Tabellenkalkulation k\u00f6nnen Sie mithilfe von Formeln Berechnungen durchf\u00fchren.","correct":"1","image":null,"sortOrder":"1908"},{"id":"2482","question_id":"656","details":"Mit einer Tabellenkalkulation lassen sich schnell Gesch\u00e4ftsbriefe nach DIN 5008 schreiben.","correct":"0","image":null,"sortOrder":"1909"},{"id":"2483","question_id":"656","details":"Nutzen Sie in Ihren Formeln Zellbez\u00fcge, werden die Formelergebnisse automatisch neu berechnet, wenn die Werte in den betreffenden Zellen nachtr\u00e4glich ge\u00e4ndert werden.","correct":"1","image":null,"sortOrder":"1910"},{"id":"2484","question_id":"656","details":"In Excel werden Fehler in Formeln automatisch korrigiert.","correct":"0","image":null,"sortOrder":"1911"}]},{"id":"657","title":"Frage 2","quiz_id":"78","description":"Wie k\u00f6nnen Sie die Breite einer Spalte so anpassen, dass die Inhalte der Spalte vollst\u00e4ndig angezeigt werden?","type":"2","status":"1","image":null,"randomize":"0","reference":"2.7 Spaltenbreite bzw. Zeilenh\u00f6he ver\u00e4ndern (S. 22)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 11:08:23","sortOrder":"500","answers":[{"id":"2485","question_id":"657","details":"Beliebige Zelle der Spalte markieren, Register <i>Seitenlayout<\/i>, Gruppe <i>An Format anpassen<\/i>, <br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-000.png\"><br>","correct":"0","image":"","sortOrder":"1912"},{"id":"2486","question_id":"657","details":"Linie rechts des betreffenden Spaltenkopfes doppelt anklicken","correct":"1","image":null,"sortOrder":"1913"},{"id":"2487","question_id":"657","details":"Beliebige Zelle der Spalte markieren, doppelt auf den rechten unteren Anfasser des Markierungsrahmens klicken","correct":"0","image":null,"sortOrder":"1914"},{"id":"2488","question_id":"657","details":"Beliebige Zelle der Spalte markieren, Kontextmen\u00fcpunkt <i>Optimale Breite<\/i>","correct":"0","image":null,"sortOrder":"1915"}]},{"id":"658","title":"Frage 3","quiz_id":"78","description":"Wie k\u00f6nnen Sie mehrere <b>nicht<\/b> zusammenh\u00e4ngende Zellen markieren?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-001.png\"><br>","type":"2","status":"1","image":"question_53_ex2013_03_1.png","randomize":"0","reference":"2.8 Zellen markieren (S. 23)&nbsp;","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 11:09:52","sortOrder":"501","answers":[{"id":"2489","question_id":"658","details":"Beim Markieren der Zellen die <button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button>-Taste dr\u00fccken","correct":"1","image":null,"sortOrder":"1916"},{"id":"2490","question_id":"658","details":"Nicht zusammenh\u00e4ngende Zellen lassen sich nicht\r\nmarkieren.","correct":"0","image":null,"sortOrder":"1917"},{"id":"2491","question_id":"658","details":"Beim\r\nMarkieren der Zellen die&nbsp;<button onclick='return false' class='keyboard-shiftleft keyboard-key'> <\/button>-Taste dr\u00fccken","correct":"0","image":null,"sortOrder":"1918"},{"id":"2492","question_id":"658","details":"Gew\u00fcnschte Zellen nacheinander mit der rechten\r\nMaustaste anklicken","correct":"0","image":null,"sortOrder":"1919"}]},{"id":"659","title":"Frage 4","quiz_id":"78","description":"Mit welcher Tastenkombination markieren Sie den ausgef\u00fcllten Zellbereich um die aktive Zelle?&nbsp;","type":"2","status":"1","image":null,"randomize":"0","reference":"2.8 Zellen markieren (S. 23)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 11:09:42","sortOrder":"502","answers":[{"id":"2493","question_id":"659","details":"<button onclick='return false' class='keyboard-altleft keyboard-key'> <\/button><button onclick='return false' class='keyboard-shiftleft keyboard-key'> <\/button><button onclick='return false' class='keyboard-a keyboard-key'> <\/button> dr\u00fccken","correct":"0","image":null,"sortOrder":"1920"},{"id":"2494","question_id":"659","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button><button onclick='return false' class='keyboard-shiftleft keyboard-key'> <\/button><button onclick='return false' class='keyboard-a keyboard-key'> <\/button> dr\u00fccken","correct":"0","image":null,"sortOrder":"1921"},{"id":"2495","question_id":"659","details":"<button onclick='return false' class='keyboard-altleft keyboard-key'> <\/button><button onclick='return false' class='keyboard-a keyboard-key'> <\/button> dr\u00fccken","correct":"0","image":null,"sortOrder":"1922"},{"id":"2496","question_id":"659","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button><button onclick='return false' class='keyboard-a keyboard-key'> <\/button> dr\u00fccken","correct":"1","image":null,"sortOrder":"1923"}]},{"id":"660","title":"Frage 5","quiz_id":"78","description":"Bei einem Ausdruck einer Tabelle im Hochformat werden die Inhalte zweier Spalten auf einer neuen Seite ausgegeben. Wie erreichen Sie,\r\ndass im Ausdruck alle Spalten der Tabelle auf einer Seite erscheinen? Mehrere Antworten sind richtig.<br>","type":"1","status":"1","image":null,"randomize":"0","reference":"2.10 Arbeitsbl\u00e4tter drucken (S. 26)&nbsp;","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 10:07:42","sortOrder":"503","answers":[{"id":"2497","question_id":"660","details":"<span>In der Backstage-Ansicht, Kategorie <i>Drucken<\/i>, <i>Alle Spalten auf einer Seite darstellen<\/i> <\/span>","correct":"1","image":null,"sortOrder":"1924"},{"id":"2498","question_id":"660","details":"Register <i>Drucken<\/i>,\r\nGruppe <i>Optimieren<\/i>, <i>Auf Seite drucken<\/i>","correct":"0","image":null,"sortOrder":"1925"},{"id":"2499","question_id":"660","details":"Dies ist in Excel nicht m\u00f6glich.","correct":"0","image":null,"sortOrder":"1926"},{"id":"2500","question_id":"660","details":"<span>In der Backstage-Ansicht, Kategorie <i>Drucken<\/i>, <i>Querformat<\/i><\/span>","correct":"1","image":null,"sortOrder":"1927"}]},{"id":"661","title":"Frage 6","quiz_id":"78","description":"Welche der folgenden Aussagen \u00fcber Formeln stimmen? Mehrere Antworten sind richtig.<br>","type":"1","status":"1","image":null,"randomize":"0","reference":"3.1 Aufbau und Eingabe von Formeln (S. 32 - 33)&nbsp;","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 10:07:42","sortOrder":"504","answers":[{"id":"2501","question_id":"661","details":"Formeln sind Berechnungsanweisungen,\r\nmit deren Hilfe sich Daten auswerten lassen.","correct":"1","image":null,"sortOrder":"1928"},{"id":"2502","question_id":"661","details":"Das Ergebnis der Formel wird in der\r\nBearbeitungsleiste angezeigt.","correct":"0","image":null,"sortOrder":"1929"},{"id":"2503","question_id":"661","details":"Formeln lassen sich direkt in die\r\nZelle oder in die Bearbeitungsleiste eingeben.","correct":"1","image":null,"sortOrder":"1930"},{"id":"2504","question_id":"661","details":"Mit <button onclick='return false' class='keyboard-f1 keyboard-key'> <\/button> k\u00f6nnen\r\nSie das Ergebnis der Formel in der entsprechenden Zelle anzeigen.","correct":"0","image":null,"sortOrder":"1931"}]},{"id":"662","title":"Frage 7","quiz_id":"78","description":"Sie m\u00f6chten die Werte der Zellen B2 mit B3 multiplizieren\r\nund zum Ergebnis den Wert der Zelle B1 addieren. Welche Formeln f\u00fchren zum\r\nrichtigen Ergebnis? Mehrere Antworten sind richtig.<br>","type":"1","status":"1","image":null,"randomize":"0","reference":"3.1 Aufbau und Eingabe von Formeln (S. 33)&nbsp;","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 10:07:42","sortOrder":"505","answers":[{"id":"2505","question_id":"662","details":"=B1+B2*B3","correct":"1","image":null,"sortOrder":"1932"},{"id":"2506","question_id":"662","details":"=B2+B1*B3","correct":"0","image":null,"sortOrder":"1933"},{"id":"2507","question_id":"662","details":"=(B2+B1)*B3","correct":"0","image":null,"sortOrder":"1934"},{"id":"2508","question_id":"662","details":"=B2*B3+B1","correct":"1","image":null,"sortOrder":"1935"}]},{"id":"663","title":"Frage 8","quiz_id":"78","description":"Sie m\u00f6chten die Werte in den Zellen A1 bis A5 addieren. Welche der unten aufgef\u00fchrten Formeln f\u00fchren zum richtigen Ergebnis? Mehrere Antworten sind richtig.<br>","type":"1","status":"1","image":null,"randomize":"0","reference":"3.1 Aufbau und Eingabe von Formeln (S. 32 - 33)<br> \r\n3.2 Funktion SUMME (S. 34)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 10:07:42","sortOrder":"506","answers":[{"id":"2509","question_id":"663","details":"=A1+A2+A3+A4+A5","correct":"1","image":null,"sortOrder":"1936"},{"id":"2510","question_id":"663","details":"=A:1+A:5","correct":"0","image":null,"sortOrder":"1937"},{"id":"2511","question_id":"663","details":"=SUMME(A1:A5)","correct":"1","image":null,"sortOrder":"1938"},{"id":"2512","question_id":"663","details":"=+A1:A5","correct":"0","image":null,"sortOrder":"1939"}]},{"id":"684","title":"Frage 9","quiz_id":"78","description":"Wie lassen sich Formeln <b>effizient <\/b>bearbeiten?","type":"2","status":"1","image":null,"randomize":"0","reference":"3.4 Formeln bearbeiten (S. 38)<br>","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 10:07:42","sortOrder":"507","answers":[{"id":"2593","question_id":"684","details":"Formeln lassen sich nicht nachtr\u00e4glich bearbeiten.","correct":"0","image":null,"sortOrder":"2020"},{"id":"2594","question_id":"684","details":"Sie klicken doppelt auf die Formelzelle und nehmen die gew\u00fcnschten \u00c4nderungen vor.","correct":"1","image":null,"sortOrder":"2021"},{"id":"2595","question_id":"684","details":"Sie l\u00f6schen die Inhalte der Formelzelle und geben die Formel neu ein.","correct":"0","image":null,"sortOrder":"2022"},{"id":"2596","question_id":"684","details":"Sie markieren die Formelzelle, dr\u00fccken  <button onclick='return false' class='keyboard-f12 keyboard-key'> <\/button> und \u00e4ndern die Formel wie gew\u00fcnscht.<br>","correct":"0","image":null,"sortOrder":"2023"}]},{"id":"664","title":"Frage 10","quiz_id":"78","description":"Was m\u00fcssen Sie beim Formatieren von Zellen grunds\u00e4tzlich\r\nbeachten?&nbsp;","type":"2","status":"1","image":null,"randomize":"0","reference":"4.1 Basiswissen Formatierung (S. 41 - 42)&nbsp;","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 10:07:38","sortOrder":"508","answers":[{"id":"2513","question_id":"664","details":"Bevor Sie andere Formatierungen vornehmen k\u00f6nnen, m\u00fcssen Sie immer zuerst die\r\nSchriftgr\u00f6\u00dfe \u00e4ndern.","correct":"0","image":null,"sortOrder":"1940"},{"id":"2514","question_id":"664","details":"Die betreffenden Zellen m\u00fcssen vor\r\nder Zuweisung einer Formatierung markiert werden.","correct":"1","image":null,"sortOrder":"1941"},{"id":"2515","question_id":"664","details":"Formatierungen\r\nlassen sich jeweils nur einer Zelle auf einmal zuweisen.","correct":"0","image":null,"sortOrder":"1942"},{"id":"2516","question_id":"664","details":"Sie m\u00fcssen zuerst die Formatierung festlegen. Anschlie\u00dfend markieren Sie die Zellen, um die Formatierung zuzuweisen.","correct":"0","image":null,"sortOrder":"1943"}]},{"id":"666","title":"Frage 11","quiz_id":"78","description":"Was\r\ngeschieht, wenn Sie der Zelle C2 mithilfe der Schaltfl\u00e4che&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-003.png\"> das Prozentformat zuweisen?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-002.png\"><br>","type":"2","status":"1","image":"question_62_ex2013_11_2.png","randomize":"0","reference":"4.7 Zahlen formatieren (S. 51)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 11:13:26","sortOrder":"509","answers":[{"id":"2521","question_id":"666","details":"<span>In Zelle C2\r\nwird der Wert <i>0,46%<\/i> angezeigt.<\/span>","correct":"0","image":null,"sortOrder":"1948"},{"id":"2522","question_id":"666","details":"<span>In Zelle\r\nC2 wird der Wert <i>46 Prozent<\/i>\r\nangezeigt.<\/span>","correct":"0","image":null,"sortOrder":"1949"},{"id":"2523","question_id":"666","details":"<span>In Zelle C2 wird der Wert <i>46%<\/i> angezeigt.<\/span>","correct":"1","image":null,"sortOrder":"1950"},{"id":"2524","question_id":"666","details":"<span>In Zelle\r\nC2 wird der Fehlerwert <i>Prozentfehler\r\nDezimalzahl<\/i> angezeigt.<\/span>","correct":"0","image":null,"sortOrder":"1951"}]},{"id":"667","title":"Frage 12","quiz_id":"78","description":"<span>Wie\r\nk\u00f6nnen Sie ein Zellformat auf mehrere <b>nicht<\/b>\r\nzusammenh\u00e4ngende Zellen mit der Schaltfl\u00e4che&nbsp;<\/span><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-004.png\"> \u00fcbertragen?<br>","type":"2","status":"1","image":null,"randomize":"0","reference":"4.9 Tpps zum Formatieren (S. 52)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 12:06:59","sortOrder":"510","answers":[{"id":"2525","question_id":"667","details":"Sie\r\ndr\u00fccken bei markierter Quellzelle die&nbsp;<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button>-Taste und\r\nklicken anschlie\u00dfend auf die Schaltfl\u00e4che <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-004.png\">.","correct":"0","image":null,"sortOrder":"1952"},{"id":"2526","question_id":"667","details":"Nachdem\r\nSie die Quellzelle markiert haben, ziehen Sie die Schaltfl\u00e4che <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-004.png\"> nacheinander\r\nauf die Zellen, die Sie formatieren m\u00f6chten.","correct":"0","image":null,"sortOrder":"1953"},{"id":"2527","question_id":"667","details":"Sie klicken bei markierter Quellzelle doppelt auf\r\ndie Schaltfl\u00e4che <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-004.png\"> und klicken anschlie\u00dfend nacheinander auf die\r\nZellen, die Sie formatieren m\u00f6chten.","correct":"1","image":null,"sortOrder":"1954"},{"id":"2528","question_id":"667","details":"<span>Sie\r\nmarkieren die Quellzelle und rufen den Kontextmen\u00fcpunkt <i>Format mehrfach \u00fcbertragen<\/i> auf. Nun klicken Sie mit der rechten\r\nMaustaste nacheinander auf die Zellen, die Sie formatieren m\u00f6chten.<\/span>","correct":"0","image":null,"sortOrder":"1955"}]},{"id":"665","title":"Frage 13","quiz_id":"78","description":"Wie k\u00f6nnen Sie alle Formatierungen einer markierten Zelle\r\nentfernen?&nbsp;","type":"2","status":"1","image":null,"randomize":"0","reference":"4.9 Tipps zum Formatieren (S. 53)&nbsp;","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 12:07:22","sortOrder":"511","answers":[{"id":"2517","question_id":"665","details":"Sie dr\u00fccken&nbsp;<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button><button onclick='return false' class='keyboard-esc keyboard-key'> <\/button>.","correct":"0","image":null,"sortOrder":"1944"},{"id":"2518","question_id":"665","details":"Formatierungen\r\nk\u00f6nnen nicht separat entfernt werden.","correct":"0","image":null,"sortOrder":"1945"},{"id":"2519","question_id":"665","details":"<span>Sie klicken im Register <i>Start<\/i>, Gruppe <i>Bearbeiten<\/i>, auf&nbsp;<\/span><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-005.png\"> <span>und w\u00e4hlen <i>Formate\r\nl\u00f6schen<\/i>.<\/span><br>","correct":"1","image":"","sortOrder":"1946"},{"id":"2520","question_id":"665","details":"Sie klicken im Register <i>Start<\/i>, Gruppe <i>L\u00f6schen<\/i>, auf <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-006.png\">.","correct":"0","image":null,"sortOrder":"1947"}]},{"id":"668","title":"Frage 14","quiz_id":"78","description":"<span>Wie\r\nvertauschen Sie <b>m\u00f6glichst effizient<\/b>\r\ndie Eintr\u00e4ge der Spalten A und B? Mehrere Antworten sind richtig.<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-007.png\"><br><\/span>","type":"1","status":"1","image":"question_76_ex2013_14_1.png","randomize":"0","reference":"5.2 Verschieben und Kopieren mit der Maus (S. 55)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 11:16:42","sortOrder":"512","answers":[{"id":"2529","question_id":"668","details":"Sie markieren die Spalte A, dr\u00fccken die&nbsp;<button onclick='return false' class='keyboard-shiftleft keyboard-key'> <\/button>-Taste und ziehen den Markierungsrahmen per Drag &amp;\r\nDrop nach rechts zwischen die Spalten B und C.","correct":"1","image":null,"sortOrder":"1956"},{"id":"2530","question_id":"668","details":"Sie f\u00fcgen\r\nvor Spalte A eine neue leere Spalte ein und verschieben den Inhalt der Spalte C\r\n(ehemals Spalte B) per Drag &amp; Drop in die Spalte A. Anschlie\u00dfend l\u00f6schen\r\nSie die Spalte C.","correct":"0","image":null,"sortOrder":"1957"},{"id":"2531","question_id":"668","details":"Sie markieren die Spalte B, dr\u00fccken die&nbsp;<button onclick='return false' class='keyboard-shiftleft keyboard-key'> <\/button>-Taste und ziehen den Markierungsrahmen per Drag\r\n&amp; Drop nach links vor die Spalte A.","correct":"1","image":null,"sortOrder":"1958"},{"id":"2532","question_id":"668","details":"<span>Sie\r\nmarkieren die Spalte B und rufen den Kontextmen\u00fcpunkt <i>Spalte nach links verschieben<\/i> auf.<\/span>","correct":"0","image":null,"sortOrder":"1959"}]},{"id":"669","title":"Frage 15","quiz_id":"78","description":"Sie haben\r\ndie Zelle B3 markiert. Wie erreichen Sie, dass die Postleitzahlen aus dem\r\nBereich A3:A5 automatisch in den Bereich B3:B5 \u00fcbernommen werden?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-008.png\"><br>","type":"2","status":"1","image":"question_77_ex2013_15_1.png","randomize":"0","reference":"5.5 Mit der Blitzvorschau arbeiten (S. 60 - 61)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 11:18:00","sortOrder":"513","answers":[{"id":"2533","question_id":"669","details":"<span>Sie klicken im Register <i>Start<\/i>, Gruppe <i>Bearbeiten<\/i>,\r\nauf&nbsp;<\/span><span><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-009.png\"> und w\u00e4hlen <i>Blitzvorschau<\/i>.<\/span><br>","correct":"1","image":null,"sortOrder":"1960"},{"id":"2534","question_id":"669","details":"Dies ist\r\nin Excel nicht m\u00f6glich.","correct":"0","image":null,"sortOrder":"1961"},{"id":"2535","question_id":"669","details":"<span>Sie rufen\r\nden Kontextmen\u00fcpunkt <i>Blitzvorschau<\/i> - <i>Postleitzahlen extrahieren<\/i> auf.<\/span>","correct":"0","image":null,"sortOrder":"1962"},{"id":"2536","question_id":"669","details":"<span>Sie\r\nklicken im Register <i>Start<\/i>, Gruppe <i>Blitzvorschau<\/i>, auf <i>Postleitzahlen extrahieren<\/i>.<\/span>","correct":"0","image":null,"sortOrder":"1963"}]},{"id":"670","title":"Frage 16","quiz_id":"78","description":"Die Formel aus C2 wurde in den Bereich C3:C5 kopiert. Was trifft zu? Mehrere Antworten sind richtig.<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-010.png\"><br>","type":"1","status":"1","image":"question_78_ex2013_16_1.png","randomize":"0","reference":"5.6 Relative, absolute und gemischte Bez\u00fcge (S. 62\r\n- 63)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 11:19:03","sortOrder":"514","answers":[{"id":"2537","question_id":"670","details":"Die Formel in der Zelle C2 ist syntaktisch korrekt;\r\ndie Zellbez\u00fcge sind prinzipiell richtig.","correct":"1","image":null,"sortOrder":"1964"},{"id":"2538","question_id":"670","details":"<span>In den Zellen mit dem Fehlerwert <i>#DIV\/0<\/i> befinden sich folgende Formeln: <i>=B3\/B7<\/i> (Zelle C3), <i>=B4\/B8<\/i> (Zelle C4), <i>=B5\/B9<\/i>\r\n(Zelle C5).<\/span>","correct":"1","image":null,"sortOrder":"1965"},{"id":"2539","question_id":"670","details":"<span>Eine\r\nFormel wie die in der Zelle C2 d\u00fcrfen Sie nicht in andere Zellen kopieren.\r\nDeshalb zeigt Excel in den entsprechenden Zellen den Fehlerwert <i>#DIV\/0<\/i> an.<\/span>","correct":"0","image":null,"sortOrder":"1966"},{"id":"2540","question_id":"670","details":"<span>Wenn die Formel in der Zelle C2 anstelle des Bezugs\r\n<i>B6<\/i> den Bezug <i>$B$6<\/i> enth\u00e4lt, tritt der Fehler beim Kopieren der Formel nicht auf.<\/span>","correct":"1","image":null,"sortOrder":"1967"}]},{"id":"671","title":"Frage 17","quiz_id":"78","description":"In der abgebildeten\r\nTabelle wurden die Zeile 2 und die Spalte B ausgeblendet. Wie wird die Tabelle gedruckt?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-011.png\"><br>","type":"2","status":"1","image":"question_79_ex2013_17_1.png","randomize":"0","reference":"6.1 Spalten bzw. Zeilen aus- oder einblenden (S. 68)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 11:20:42","sortOrder":"515","answers":[{"id":"2541","question_id":"671","details":"Der Ausdruck sieht aus wie das Tabellenblatt. Die\r\nGitternetzlinien und die Spalten- bzw. Zeilenk\u00f6pfe erscheinen jedoch\r\nstandardm\u00e4\u00dfig nicht auf dem Ausdruck.","correct":"1","image":null,"sortOrder":"1968"},{"id":"2542","question_id":"671","details":"Tabellen\r\nmit ausgeblendeten Zeilen bzw. Spalten lassen sich nicht drucken.","correct":"0","image":null,"sortOrder":"1969"},{"id":"2543","question_id":"671","details":"Die\r\nausgeblendete Zeile 2 und die ausgeblendete Spalte B werden zusammen mit dem\r\nRest der Tabelle gedruckt.","correct":"0","image":null,"sortOrder":"1970"},{"id":"2544","question_id":"671","details":"Es wird\r\neine Abfrage eingeblendet, ob die ausgeblendeten Zeilen und Spalten gedruckt\r\nwerden sollen.","correct":"0","image":null,"sortOrder":"1971"}]},{"id":"673","title":"Frage 18","quiz_id":"78","description":"Bei\r\nwelcher der folgenden Funktionen erhalten Sie das Ergebnis 1710?&nbsp;","type":"2","status":"1","image":null,"randomize":"0","reference":"7.2 Auswahl einfacher Funktionen (S. 75)&nbsp;","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 11:20:25","sortOrder":"516","answers":[{"id":"2549","question_id":"673","details":"=RUNDEN(1706,214;-1)","correct":"1","image":null,"sortOrder":"1976"},{"id":"2550","question_id":"673","details":"=RUNDEN(1706,214;1)","correct":"0","image":null,"sortOrder":"1977"},{"id":"2551","question_id":"673","details":"=RUNDEN(1706,214;2;Wahr)","correct":"0","image":null,"sortOrder":"1978"},{"id":"2552","question_id":"673","details":"=RUNDEN(1706,214;2)","correct":"0","image":null,"sortOrder":"1979"}]},{"id":"672","title":"Frage 19","quiz_id":"78","description":"Welche\r\nFunktionen lassen sich schnell \u00fcber die Schaltfl\u00e4che&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-012.png\"> einf\u00fcgen?<br>","type":"2","status":"1","image":null,"randomize":"0","reference":"7.3 Mit einfachen Funktionen rechnen (S. 75)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 11:21:16","sortOrder":"517","answers":[{"id":"2545","question_id":"672","details":"Die\r\nFunktionen SUMME und DIFFERENZ","correct":"0","image":null,"sortOrder":"1972"},{"id":"2546","question_id":"672","details":"Die\r\nFunktionen SUMME, WENN, MAX und SVERWEIS","correct":"0","image":null,"sortOrder":"1973"},{"id":"2547","question_id":"672","details":"Die\r\nFunktionen SUMME, MAX und MIN","correct":"0","image":null,"sortOrder":"1974"},{"id":"2548","question_id":"672","details":"Die Funktionen SUMME, MITTELWERT, ANZAHL, MAX und\r\nMIN","correct":"1","image":null,"sortOrder":"1975"}]},{"id":"674","title":"Frage 20","quiz_id":"78","description":"In Zelle\r\nB4 steht der Wert 250.000. Welche WENN-Funktionen f\u00fchren zum Ergebnis\r\n2.500.000? Mehrere Antworten sind richtig.<br>","type":"1","status":"1","image":null,"randomize":"0","reference":"9.2 Mit der WENN-Funktion\r\narbeiten (S. 88)&nbsp;","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 10:07:38","sortOrder":"518","answers":[{"id":"2553","question_id":"674","details":"=WENN(B4&lt;300000;B4*5;B4*10)","correct":"0","image":null,"sortOrder":"1980"},{"id":"2554","question_id":"674","details":"=WENN(B4&lt;300000;B4*10;B4*5)","correct":"1","image":null,"sortOrder":"1981"},{"id":"2555","question_id":"674","details":"=WENN(B4&gt;300000;B4*10;B4*5)","correct":"0","image":null,"sortOrder":"1982"},{"id":"2556","question_id":"674","details":"=WENN(B4&gt;300000;B4*5;B4*10)","correct":"1","image":null,"sortOrder":"1983"}]},{"id":"675","title":"Frage 21","quiz_id":"78","description":"Welchen Provisionssatz liefert die Funktion =SVERWEIS(340000;A2:B8;2)?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-013.png\"><br>","type":"2","status":"1","image":"question_83_ex2013_21_1.png","randomize":"0","reference":"9.4 SVERWEIS und WVERWEIS (S. 90 - 91)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 11:22:41","sortOrder":"519","answers":[{"id":"2557","question_id":"675","details":"15%","correct":"0","image":null,"sortOrder":"1984"},{"id":"2558","question_id":"675","details":"14,75%","correct":"0","image":null,"sortOrder":"1985"},{"id":"2559","question_id":"675","details":"13%","correct":"1","image":null,"sortOrder":"1986"},{"id":"2560","question_id":"675","details":"Die\r\nFunktion kann f\u00fcr den Wert 340.000 keine Provision ermitteln.","correct":"0","image":null,"sortOrder":"1987"}]},{"id":"676","title":"Frage 22","quiz_id":"78","description":"<span>Die Funktion HEUTE ermittelt das aktuelle Datum. Wie lautet die Syntax der Funktion?<br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"10.2 Mit Datums- und Uhrzeitfunktionen arbeiten (S. 96)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 10:07:38","sortOrder":"520","answers":[{"id":"2561","question_id":"676","details":"=HEUTE(Jahr;Monat;Tag)<br>","correct":"0","image":null,"sortOrder":"1988"},{"id":"2562","question_id":"676","details":"=HEUTE(Tag;Monat;Jahr)<br>","correct":"0","image":null,"sortOrder":"1989"},{"id":"2563","question_id":"676","details":"=HEUTE()<br>","correct":"1","image":null,"sortOrder":"1990"},{"id":"2564","question_id":"676","details":"=HEUTE(AktuellesDatum)","correct":"0","image":null,"sortOrder":"1991"}]},{"id":"677","title":"Frage 23","quiz_id":"78","description":"Standardm\u00e4\u00dfig\r\nwerden in einer Zelle nicht mehr als 24 Stunden angezeigt. Mit welchem\r\nUhrzeitformat k\u00f6nnen Sie innerhalb einer Zelle einen l\u00e4ngeren Zeitraum als 24\r\nStunden anzeigen?","type":"2","status":"1","image":null,"randomize":"0","reference":"10.3 Praktische Anwendungen (S. 98)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 10:07:38","sortOrder":"521","answers":[{"id":"2565","question_id":"677","details":"hh:mm","correct":"0","image":null,"sortOrder":"1992"},{"id":"2566","question_id":"677","details":"h:mm","correct":"0","image":null,"sortOrder":"1993"},{"id":"2567","question_id":"677","details":"37:30:55","correct":"1","image":null,"sortOrder":"1994"},{"id":"2568","question_id":"677","details":"1:30:55\r\nPM","correct":"0","image":null,"sortOrder":"1995"}]},{"id":"678","title":"Frage 24","quiz_id":"78","description":"Welche\r\nAussagen \u00fcber Excel-Diagramme treffen zu? Mehrere Antworten sind richtig.<br>","type":"1","status":"1","image":null,"randomize":"0","reference":"11.1 Basiswissen Diagramme (S. 101)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 10:07:38","sortOrder":"522","answers":[{"id":"2569","question_id":"678","details":"Zwischen\r\neinem Diagramm und den Tabellendaten besteht keine Verkn\u00fcpfung.","correct":"0","image":null,"sortOrder":"1996"},{"id":"2570","question_id":"678","details":"Zwischen einem Diagramm und den Tabellendaten\r\nbesteht eine Verkn\u00fcpfung.","correct":"1","image":null,"sortOrder":"1997"},{"id":"2571","question_id":"678","details":"\u00c4ndern sich die Daten der Tabelle, wird das\r\nentsprechende Diagramm automatisch angepasst.","correct":"1","image":null,"sortOrder":"1998"},{"id":"2572","question_id":"678","details":"\u00c4ndern sich die Daten der Tabelle, erfolgt eine Dialogabfrage, ob das betreffende\r\nDiagramm angepasst werden soll.","correct":"0","image":null,"sortOrder":"1999"}]},{"id":"679","title":"Frage 25","quiz_id":"78","description":"<span>Sie geben\r\nden Wert <i>56<\/i> in eine Zelle ein, der\r\nzuvor das benutzerdefinierte Zahlenformat <i>0\r\n\"kg\"<\/i> zugewiesen wurde. Was wird in der betreffenden Zelle\r\nangezeigt?<\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"14.6 Benutzerdefinierte Zahlenformate (S. 136 - 137, 139)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 10:07:38","sortOrder":"523","answers":[{"id":"2573","question_id":"679","details":"56\r\n\"kg\"","correct":"0","image":null,"sortOrder":"2000"},{"id":"2574","question_id":"679","details":"56 kg","correct":"1","image":null,"sortOrder":"2001"},{"id":"2575","question_id":"679","details":"56 Kilo","correct":"0","image":null,"sortOrder":"2002"},{"id":"2576","question_id":"679","details":"56\r\nKilogramm","correct":"0","image":null,"sortOrder":"2003"}]},{"id":"680","title":"Frage 26","quiz_id":"78","description":"Was\r\ngeschieht, wenn Sie ein in der aktuellen Arbeitsmappe verwendetes benutzerdefiniertes\r\nZahlenformat l\u00f6schen?","type":"2","status":"1","image":null,"randomize":"0","reference":"14.6 Benutzerdefinierte Zahlenformate (S.\r\n137)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 10:07:38","sortOrder":"524","answers":[{"id":"2577","question_id":"680","details":"Solange\r\ndas Format irgendeiner Zelle in der Arbeitsmappe zugewiesen ist, k\u00f6nnen Sie das\r\nbenutzerdefinierte Zahlenformat nicht l\u00f6schen.","correct":"0","image":null,"sortOrder":"2004"},{"id":"2578","question_id":"680","details":"Die\r\nFormatierung in den Zellen, denen das benutzerdefinierte Zahlenformat zugewiesen\r\nwurde, bleibt so lange erhalten, bis Sie den Zellen ein anderes Format\r\nzuweisen.","correct":"0","image":null,"sortOrder":"2005"},{"id":"2579","question_id":"680","details":"Alle Zellen, denen das benutzerdefinierte\r\nZahlenformat zugewiesen wurde, erhalten das Standardformat.","correct":"1","image":null,"sortOrder":"2006"},{"id":"2580","question_id":"680","details":"<span>In den\r\nZellen, denen das benutzerdefinierte Zahlenformat zugewiesen wurde, erscheint\r\nder Fehlerwert <i>#FORMAT<\/i>.<\/span>","correct":"0","image":null,"sortOrder":"2007"}]},{"id":"681","title":"Frage 27","quiz_id":"78","description":"Welche\r\nAussagen stimmen? Mehrere Antworten sind richtig.<br>","type":"1","status":"1","image":null,"randomize":"0","reference":"14.8 Daten\u00fcberpr\u00fcfung bei der Eingabe (S. 140 - 141)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 10:07:38","sortOrder":"525","answers":[{"id":"2581","question_id":"681","details":"Standardm\u00e4\u00dfig k\u00f6nnen Sie in eine Zelle beliebige\r\nDaten eintragen. Excel erkennt an den eingegebenen Zeichen, ob es sich um eine\r\nZahl, um ein Datum oder um Text handelt.","correct":"1","image":null,"sortOrder":"2008"},{"id":"2582","question_id":"681","details":"Um Fehleingeben in einer Tabelle zu vermeiden, kann\r\nes sinnvoll sein, die Eingabem\u00f6glichkeiten mithilfe einer Daten\u00fcberpr\u00fcfung zu\r\nbeschr\u00e4nken.","correct":"1","image":null,"sortOrder":"2009"},{"id":"2583","question_id":"681","details":"Wird bei\r\nder Eingabe gegen die festgelegten Kriterien einer Daten\u00fcberpr\u00fcfung versto\u00dfen,\r\nwird die aktuelle Arbeitsmappe automatisch gespeichert und geschlossen, um\r\nweitere Fehleingaben zu verhindern.","correct":"0","image":null,"sortOrder":"2010"},{"id":"2584","question_id":"681","details":"Mit der Daten\u00fcberpr\u00fcfung k\u00f6nnen Sie die Eingabe f\u00fcr\r\neine Zelle beispielsweise auf den Bereich zwischen 0 % und 50 % beschr\u00e4nken.","correct":"1","image":null,"sortOrder":"2011"}]},{"id":"682","title":"Frage 28","quiz_id":"78","description":"Welche\r\nAussagen \u00fcber den Gruppenmodus treffen zu? Mehrere Antworten sind richtig.<br>","type":"1","status":"1","image":null,"randomize":"0","reference":"16.1 Mit Arbeitsmappen arbeiten (S. 155)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 10:07:38","sortOrder":"526","answers":[{"id":"2585","question_id":"682","details":"Im\r\nGruppenmodus werden alle eingegebenen Daten automatisch gruppiert und\r\ngegliedert.","correct":"0","image":null,"sortOrder":"2012"},{"id":"2586","question_id":"682","details":"Im Gruppenmodus erscheinen alle Daten und Formeln,\r\ndie Sie in ein gruppiertes Tabellenblatt eingeben, auf allen anderen\r\nTabellenbl\u00e4ttern der Gruppe.","correct":"1","image":null,"sortOrder":"2013"},{"id":"2587","question_id":"682","details":"Befehle wie das Formatieren von Zellen lassen sich\r\nim Gruppenmodus gleichzeitig auf mehrere Tabellenbl\u00e4tter anwenden.","correct":"1","image":null,"sortOrder":"2014"},{"id":"2588","question_id":"682","details":"<span>Sie\r\nk\u00f6nnen den Gruppenmodus aktivieren, indem Sie im Blattregister mit der rechten\r\nMaustaste auf den Namen eines beliebigen Registers klicken und <i>Gruppenmodus aktivieren<\/i> w\u00e4hlen.<\/span>","correct":"0","image":null,"sortOrder":"2015"}]},{"id":"683","title":"Frage 29","quiz_id":"78","description":"Sie haben\r\neine neue Arbeitsmappe erstellt. Nachdem Sie \u00fcber zwei Stunden mit der\r\nArbeitsmappe gearbeitet haben, schlie\u00dfen Sie die Datei, ohne sie zuvor zu\r\nspeichern. Wie k\u00f6nnen Sie auf die Daten der nicht gespeicherten Arbeitsmappe\r\nzugreifen?","type":"2","status":"1","image":null,"randomize":"0","reference":"17.2 Nicht gespeicherte Arbeitsmappen\r\nwiederherstellen (S. 173)","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 11:26:21","sortOrder":"527","answers":[{"id":"2589","question_id":"683","details":"Ein\r\nZugriff auf eine Arbeitsmappe, die noch nie gespeichert wurde, ist nicht\r\nm\u00f6glich.","correct":"0","image":null,"sortOrder":"2016"},{"id":"2590","question_id":"683","details":"<span>Sie klicken im Register <i>Datei<\/i>, Kategorie <i>Informationen<\/i>,\r\nauf <i>Versionen verwalten<\/i> und w\u00e4hlen <i>Nicht gespeicherte Arbeitsmappen\r\nwiederherstellen<\/i><\/span>.<br>","correct":"1","image":null,"sortOrder":"2017"},{"id":"2591","question_id":"683","details":"<span>Sie\r\nklicken mit der rechten Maustaste auf das Men\u00fcband und blenden \u00fcber <i>Men\u00fcband anpassen<\/i> das Register <i>Wiederherstellung<\/i> ein. Im betreffenden\r\nRegister klicken Sie in der Gruppe <i>Nicht\r\ngespeicherte Arbeitsmappen<\/i> auf <i>Wiederherstellen<\/i>.<\/span>","correct":"0","image":null,"sortOrder":"2018"},{"id":"2592","question_id":"683","details":"<span>Sie\r\nklicken im Register <i>Start<\/i>, Gruppe <i>Wiederherstellen<\/i>, auf <\/span><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_78-Shot-014.png\">.","correct":"0","image":null,"sortOrder":"2019"}]},{"id":"685","title":"Frage 30","quiz_id":"78","description":"Was geschieht, wenn Sie eine Tabelle filtern?<br>","type":"2","status":"1","image":null,"randomize":"0","reference":"18.3 Basiswissen AutoFilter (S. 181)<br>","created_at":"2015-10-29 10:05:06","updated_at":"2015-10-29 11:26:37","sortOrder":"528","answers":[{"id":"2597","question_id":"685","details":"Beim Filtern werden die Daten der Tabelle gel\u00f6scht, die die festgelegten Suchkriterien nicht erf\u00fcllen.","correct":"0","image":null,"sortOrder":"2024"},{"id":"2598","question_id":"685","details":"Die in einer gefilterten Tabelle nicht angezeigten Daten speichert Excel in einer neuen Tabelle. Zwischen dieser und der Tabelle, die die gefilterten Daten enth\u00e4lt, besteht eine Verkn\u00fcpfung.","correct":"0","image":null,"sortOrder":"2025"},{"id":"2599","question_id":"685","details":"Beim Filtern werden nur diejenigen Daten einer Tabelle angezeigt, die die festgelegten Suchkriterien erf\u00fcllen.","correct":"1","image":null,"sortOrder":"2026"},{"id":"2600","question_id":"685","details":"Beim Filtern werden die Daten gruppiert und neu sortiert. Die gefilterte Tabelle wird als neue Ansicht gespeichert, damit sie auch nach dem Schlie\u00dfen der Arbeitsmappe noch zur Verf\u00fcgung steht.","correct":"0","image":null,"sortOrder":"2027"}]}],"groups":[]};
    var current = 0;
    var answers = [];
    var results = [];
    var submitted = 0;

    //Hack for IE (localStorage does not supported in IE when you open file locally)
    if (localStorage == undefined) {
        angular.element('.col-md-8.ng-scope').html('<h1 class="text-center">Ein Fehler ist Aufgetreten. <br/>Dieser Browser unterstützt keinen Webspeicher bei lokaler Ausführung! <br/>Bitte benutzen Sie einen anderen Browser.</h1>');
    }

    return {
        getData: function() { return data; },

        setCurrent: function(value) { current = value; localStorage.setItem('current', current);},
        getCurrent: function() { if (localStorage.getItem('current') != null) {
                                     current =  localStorage.getItem('current');
                                 }
                                 return current;
                                },
        setAnswer: function(value) {

            if (answers[current] == null || typeof(answers[current])== undefined)
            {
                answers[current] = value;
            }
            localStorage.setItem('answers', JSON.stringify(answers));
        },
        setResult: function(value) {

            if (results[current] == null || typeof(results[current])== undefined)
            {
                results[current] = value;
            }
            localStorage.setItem('results', JSON.stringify(results));
        },
        getResult: function() { if (localStorage.getItem('results')!= null) {
                                results = JSON.parse(localStorage.getItem('results'));
                                }
                                return results[current];
                               },
        getResults: function() { if (localStorage.getItem('results')!= null) {
                                   results = JSON.parse(localStorage.getItem('results'));
                                }
                                return results;
                                },
        resetResults: function() { results = [];   localStorage.removeItem('results');},
        resetAnswers: function() { answers = [];  localStorage.removeItem('answers');},
        getAnswer: function() {
                                if (localStorage.getItem('answers') != null){
                                    answers = JSON.parse(localStorage.getItem('answers'));
                                }
                                return answers[current];
                              },
        getAnswers: function() {
                                 if (localStorage.getItem('answers') != null){
                                    answers = JSON.parse(localStorage.getItem('answers'));
                                 }
                                 return answers;
                                },

        setSubmitted: function() { submitted++; localStorage.setItem('submitted', submitted); },
        resetSubmitted: function() { submitted = 0; localStorage.setItem('submitted', submitted);  },
        getSubmitted: function() { if (localStorage.getItem('submitted')!= null) {
                                    submitted = localStorage.getItem('submitted');
                                    }
                                   return submitted;
                                  }
    };
});


quizControllers.controller('QuizStartCtrl', ['$scope','$http','$localStorage','$location','$sce','Global',
  function($scope, $http, $localStorage, $location, $sce, Global) {
      $scope.go = function ( path ) {
          $location.path( path );
      };
      Global.setCurrent(0);
      Global.resetSubmitted();
      Global.resetAnswers();
      Global.resetResults();
      localStorage.clear();
      $scope.data = Global.getData();
      $scope.current = Global.current;
      $scope.quiz = $scope.data;
      $scope.size = $scope.data.questions.length;
      $scope.description = $sce.trustAsHtml($scope.data.description);


  }]);

quizControllers.controller('QuizResultsCtrl', ['$scope', '$rootScope', '$http', '$localStorage', '$location','$sce', 'Global',
    function($scope, $rootScope, $http, $localStorage, $location, $sce, Global) {

        $scope.go = function ( path ) {
            $location.path( path );
        };
        $scope.submitted = Global.getSubmitted();

        $scope.stop = function () {
            BootstrapDialog.show({
                title: 'Konfirmation',
                message: 'Wollen Sie wirklich den Test beenden?',
                buttons: [{
                    label: 'Ja',
                    action: function(dialogRef){
                        Global.setCurrent(0);
                        Global.resetSubmitted();
                        Global.resetAnswers();
                        Global.resetResults();
                        localStorage.clear();
                        dialogRef.close();

                        $rootScope.$apply(function() {
                            $location.path('/quiz');
                        });
                    }
                },{
                    label: 'Nein',
                    action: function(dialogRef){
                        dialogRef.close();
                    }
                },
                ]
            });
        };

        if (!$scope.submitted) {
            $scope.stop();
        }


        $scope.data = Global.getData();
        $scope.current = Global.current;
        $scope.quiz = $scope.data;
        $scope.size = $scope.data.questions.length;

        $scope.results = Global.getResults();
        $scope.sum = 0;
        for (var i in $scope.results) {
            $scope.sum += $scope.results[i];
        }

        $scope.reference = $sce.trustAsHtml($scope.quiz.reference);

        $scope.percent = Math.round($scope.sum * 100/ $scope.size);
        if ($scope.data.score) {
            $scope.passed = ($scope.percent >= $scope.data.score);
        } else {
            $scope.passed = 0;
        }

        $scope.score = $scope.data.score;
        $scope.group = '';
        $scope.group_description = '';
        if ($scope.data.score) {
            for (var i in $scope.data.groups) {
                if ($scope.percent >= $scope.data.groups[i]['score']) {
                  $scope.group = $scope.data.groups[i]['name'];
                  $scope.group_description = $sce.trustAsHtml($scope.data.groups[i]['description']);
                  break;
                }
            }
        }
        for (var i in $scope.data.questions) {
            if (typeof($scope.data.questions[i]['reference']) != 'object') {
            $scope.data.questions[i]['reference'] = $sce.trustAsHtml($scope.data.questions[i]['reference']);
        }
        }

    }]);

quizControllers.controller('QuizProcessCtrl', ['$scope', '$rootScope', '$http', '$localStorage', '$location','$sce','$routeParams','Global',
    function($scope, $rootScope, $http,  $localStorage, $location, $sce, $routeParams, Global) {
        $scope.go = function ( path ) {
            $location.path( path );
        };

        $scope.stop = function () {
            BootstrapDialog.show({
                title: 'Konfirmation',
                message: 'Wollen Sie wirklich den Test beenden?',
                buttons: [{
                    label: 'Ja',
                    action: function(dialogRef){
                        Global.setCurrent(0);
                        Global.resetSubmitted();
                        Global.resetAnswers();
                        dialogRef.close();

                        $rootScope.$apply(function() {
                            $location.path('/quiz');
                        });
                    }
                },{
                    label: 'Nein',
                    action: function(dialogRef){
                        dialogRef.close();
                    }
                },
                ]
            });
        };
        $scope.submit = function () {
            if ($("input[name=answer]:checked").get().length)
            {
                Global.setSubmitted();
                $scope.submitted = Global.getSubmitted();
                $scope.showSubmit = false;
                $scope.showSkip = false;
                $scope.showNext = !$scope.last;
                $scope.showResult = $scope.submitted == $scope.size;
                $scope.showMissed = $scope.last &&  $scope.submitted != $scope.size;

                if ($("input[name=answer]:checked").get().length == 1) {
                    var check = $("input[name=answer]:checked").val();
                } else {
                    var check = $("input[name=answer]:checked").map(function() {
                            return this.value;
                    }).get();
                }

                Global.setAnswer(check);
                $scope.answer = Global.getAnswer();
                var point = 1;
                $.when($("input[name=answer]").each(function(){
                        if ($(this).attr('data-correct') == 1)
                        {
                            $(this).parent().addClass('test');
                        }
                        else if (this.checked && $(this).attr('data-correct') != 1) {
                            $(this).parent().addClass('test2');
                        }
                        if( ($(this).attr('data-correct')==1 && !this.checked) ||
                            ($(this).attr('data-correct')!=1 && this.checked)) {
                            point = 0;
                        }
                    })).done(function(){
                            Global.setResult(point);
                });
            } else {
                BootstrapDialog.show({
                    title: 'Warnung',
                    message: 'Bitte wählen Sie mindestens eine Antwort aus',
                    buttons: [{
                        label: 'OK',
                        action: function(dialogRef){
                            dialogRef.close();
                        }
                    },
                    ]
                });

            }

        };
        $scope.data = Global.getData();

        $scope.shift = $routeParams.shift;
        $scope.current = Global.getCurrent();

        if ($scope.shift) {
            Global.setCurrent(parseInt($scope.shift));
            $scope.current = parseInt($scope.shift);
        }

        $scope.question =  $scope.data.questions[$scope.current];

        if (typeof($scope.question) != undefined) {
            $scope.size =  $scope.data.questions.length;
            $scope.answer = Global.getAnswer();
            $scope.answers = Global.getAnswers();

            $scope.submitted = Global.getSubmitted();

            $scope.results = Global.getResults();

            $scope.last = (($scope.current + 1) == $scope.size);

            $scope.prev = $scope.current-1;
            $scope.next = $scope.next-1;

            if (typeof($scope.question.description) != 'object') {
                $scope.description = $sce.trustAsHtml($scope.question.description);
            }
            if (typeof($scope.question.reference) != 'object') {
                $scope.reference = $sce.trustAsHtml($scope.question.reference);
            }

            for (var i in $scope.question.answers) {
                if (typeof($scope.question.answers[i].details) != 'object') {
                    $scope.question.answers[i].details = $sce.trustAsHtml($scope.question.answers[i].details);
                }
            }

            $scope.range = []

            for (var i=1; i<=$scope.size; i++) {
                $scope.range.push(i);
            }

            $scope.showSubmit = !$scope.answer;
            $scope.showNext = !$scope.last && $scope.answer;
            $scope.showPrev = $scope.current > 0;
            $scope.showMissed = $scope.last &&  $scope.answer && $scope.submitted != $scope.size;

            $scope.showResult =  $scope.submitted == $scope.size;

            $scope.showSkip = !$scope.last && !$scope.answer;
            $scope.showImg = $scope.question.image;

            $scope.percent = ($scope.current+1)*100/$scope.size ;
        }
        $scope.url = window.location.href;


    }]);


