
/* Controllers */

var quizControllers = angular.module('quizControllers', []);


quizControllers.factory( 'Global', function($rootScope) {
    var data = {"id":"87","name":"Outlook 2016 - Office Quiz","category_id":"12","description":"Pr\u00fcfen Sie Ihre Kenntnisse und Kompetenzen rund um Outlook 2016. Nutzen Sie unser Buch Outlook 2016 - Grundlagen, um eventuell vorhandene Wissensl\u00fccken schnell und effizient zu schlie\u00dfen.<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_87-Outlook 2016.png\"><br>","number":"6","image":"test_37_Outlook.png","reference":"<a href=\"http:\/\/www.herdt.com\/artikel\/OL2016\/Outlook-2016---Grundlagen\/?query=OL2016&amp;type=product&amp;sort=0#description\" target=\"_blank\" rel=\"nofollow\">Outlook 2016 - Grundlagen<\/a><br>","randomize":"0","score":null,"created_at":"2015-11-12 08:15:57","updated_at":"2015-12-08 05:54:26","sortOrder":"81","internal_name":"OL2016 - Office Quiz","category":{"id":"12","name":"Outlook 2016","version_id":"2","created_at":"2015-10-29 11:30:17","updated_at":"2015-11-30 14:11:17","sortOrder":"7"},"version":{"id":"2","name":"Office 2016","created_at":"2015-10-29 11:29:15","updated_at":"2015-10-29 11:29:15","sortOrder":"2"},"questions":[{"id":"751","title":"Frage 1","quiz_id":"87","description":"Wie k\u00f6nnen Sie Bereiche in Outlook vergr\u00f6\u00dfern bzw. verkleinern?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"2.3\r\nDie Anzeige des Outlook-Fensters anpassen (S. 16)<br><br><br>","created_at":"2015-11-12 08:15:57","updated_at":"2015-11-24 07:52:12","sortOrder":"594","answers":[{"id":"2858","question_id":"751","details":"Die Begrenzungslinie <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_87-OL2016_01_01.png\"> in eine gew\u00fcnschte Richtung ziehen","correct":"1","image":null,"sortOrder":"2285"},{"id":"2859","question_id":"751","details":"Im Register <i>Ansicht<\/i>, Gruppe <i>Personenbereich<\/i> auf <i>Personenbereich <\/i>klicken und <i>Minimiert<\/i> ausw\u00e4hlen","correct":"0","image":null,"sortOrder":"2286"},{"id":"2860","question_id":"751","details":"Auf den Spaltenkopf klicken und den Bereich in die Mitte ziehen","correct":"0","image":null,"sortOrder":"2287"},{"id":"2861","question_id":"751","details":"Im Register <i>Datei<\/i> unter <i>Optionen<\/i> auf <i>Erweitert<\/i> klicken und unter <i>Outlook-Bereiche<\/i> auf <i>Navigation<\/i> klicken","correct":"0","image":null,"sortOrder":"2288"}]},{"id":"752","title":"Frage 2","quiz_id":"87","description":"Lassen sich mit Outlook bereits an Kollegen versendete E-Mails zur\u00fcckrufen?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"3.2 E-Mails erneut senden oder zur\u00fcckrufen (S. 20) <br><br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-12 08:15:58","sortOrder":"595","answers":[{"id":"2862","question_id":"752","details":"Nein,\r\neinmal versendete E-Mails lassen sich nicht zur\u00fcckrufen<br><br><br>","correct":"0","image":null,"sortOrder":"2289"},{"id":"2863","question_id":"752","details":"<p>Ja, der Systemadministrator kann bereits\r\nversendete E-Mails zur\u00fcckrufen<\/p>\r\n\r\n<br><br><br>","correct":"0","image":null,"sortOrder":"2290"},{"id":"2864","question_id":"752","details":"Ja, innerhalb eines Netzwerkes k\u00f6nnen mit Outlook\r\nversendete E-Mails zur\u00fcckgerufen werden<br><br><br>","correct":"1","image":null,"sortOrder":"2291"},{"id":"2865","question_id":"752","details":"Ja, jede\r\nE-Mail egal ob im eigenen Netzwerk oder au\u00dferhalb des eigenen Netzwerkes kann\r\nzur\u00fcckgerufen werden<br><br><br>","correct":"0","image":null,"sortOrder":"2292"}]},{"id":"753","title":"Frage 3","quiz_id":"87","description":"Was macht die automatische Korrektur in Outlook?<br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"3.6 Text korrigieren (S. 23 - 24)<br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 07:53:20","sortOrder":"596","answers":[{"id":"2866","question_id":"753","details":"Die\r\nautomatische Korrektur korrigiert falsch geschriebene E-Mail-Adressen<br><br><br>","correct":"0","image":null,"sortOrder":"2293"},{"id":"2867","question_id":"753","details":"Die\r\nautomatische Korrektur f\u00fchrt eine komplette Rechtschreibpr\u00fcfung Ihrer E-Mail\r\ndurch<br><br><br>","correct":"0","image":null,"sortOrder":"2294"},{"id":"2868","question_id":"753","details":"Die\r\nautomatische Korrektur korrigiert fehlerhafte Einstellungen in Outlook<br><br><br>","correct":"0","image":null,"sortOrder":"2295"},{"id":"2869","question_id":"753","details":"Die automatische Korrektur nimmt einzelne\r\nKorrekturen der Gro\u00df- und Kleinschreibung und Korrekturen der Formatierung\r\ndurch<br><br><br>","correct":"1","image":null,"sortOrder":"2296"}]},{"id":"754","title":"Frage 4","quiz_id":"87","description":"Sie m\u00f6chten eine E-Mail als Textnachricht speichern, wie gehen Sie vor?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"4.3 Empfangene\r\nE-Mails bearbeiten bzw. speichern (S. 32)<br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 07:53:47","sortOrder":"597","answers":[{"id":"2870","question_id":"754","details":"<span>In der\r\nge\u00f6ffneten E-Mail im Register <i>Nachricht<\/i>\r\nin der Gruppe <i>Verschieben<\/i> auf&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_87-OL2016_04_01.png\"> klicken<\/span><br><br><br><br>","correct":"0","image":null,"sortOrder":"2297"},{"id":"2871","question_id":"754","details":"Im Anzeigebereich mit der rechten Maustaste auf\r\ndie E-Mail klicken und im Kontextmen\u00fc auf <i>Verschieben<\/i>\r\nklicken\r\n\r\n<br><br><br>","correct":"0","image":null,"sortOrder":"2298"},{"id":"2872","question_id":"754","details":"<span>E-Mail im Anzeigebereich anklicken sowie im\r\nRegister <i>Datei<\/i> auf <i>Speichern unter<\/i> klicken und im Fenster <i>Speichern unter<\/i> den Dateityp <i>Nur-Text <\/i>w\u00e4hlen<\/span><br><br><br>","correct":"1","image":null,"sortOrder":"2299"},{"id":"2873","question_id":"754","details":"In der\r\nge\u00f6ffneten E-Mail in der Symbolleiste f\u00fcr den Schnellzugriff auf&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_87-OL2016_04_02.png\"> klicken<br><br><br><br>","correct":"0","image":null,"sortOrder":"2300"}]},{"id":"755","title":"Frage 5","quiz_id":"87","description":"Was bedeutet das blau hinterlegte Symbol im Anzeigebereich vor einer empfangenen E-Mail?<br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"5.1 E-Mails\r\nim Anzeigebereich bearbeiten (S. 34 - 37)&nbsp; <br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 07:54:46","sortOrder":"598","answers":[{"id":"2874","question_id":"755","details":"Neue ungelesene E-Mail<br><br><br>","correct":"1","image":null,"sortOrder":"2301"},{"id":"2875","question_id":"755","details":"Gelesene\r\nE-Mail<br><br><br>","correct":"0","image":null,"sortOrder":"2302"},{"id":"2876","question_id":"755","details":"E-Mail\r\nmit Anhang<br><br><br>","correct":"0","image":null,"sortOrder":"2303"},{"id":"2877","question_id":"755","details":"E-Mail\r\nmit Virusverdacht<br><br><br>","correct":"0","image":null,"sortOrder":"2304"}]},{"id":"756","title":"Frage 6","quiz_id":"87","description":"Was bedeutet das rote Ausrufezeichen im Anzeigebereich hinter einer empfangenen E-Mail?<br><br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"5.1 E-Mails\r\nim Anzeigebereich bearbeiten (S. 34 - 37)<br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 07:55:07","sortOrder":"599","answers":[{"id":"2878","question_id":"756","details":"Ungelesene\r\nE-Mail<br><br><br>","correct":"0","image":null,"sortOrder":"2305"},{"id":"2879","question_id":"756","details":"Hinweis\r\nauf angefangene E-Mail<br><br><br>","correct":"0","image":null,"sortOrder":"2306"},{"id":"2880","question_id":"756","details":"Die\r\nE-Mail enth\u00e4lt einen Virus<br><br><br>","correct":"0","image":null,"sortOrder":"2307"},{"id":"2881","question_id":"756","details":"Der Sender hat die E-Mail als wichtig eingestuft<br><br><br>","correct":"1","image":null,"sortOrder":"2308"}]},{"id":"757","title":"Frage 7","quiz_id":"87","description":"Was bedeutet das rote F\u00e4hnchen im Anzeigebereich hinter einer empfangenen E-Mail?<br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"5.1 E-Mails\r\nim Anzeigebereich bearbeiten (S. 34 - 37) <br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 07:55:26","sortOrder":"600","answers":[{"id":"2882","question_id":"757","details":"Die\r\nE-Mail enth\u00e4lt einen Virus.<br><br><br>","correct":"0","image":null,"sortOrder":"2309"},{"id":"2883","question_id":"757","details":"Der\r\nSender hat die E-Mail als wichtig gekennzeichnet.<br><br><br>","correct":"0","image":null,"sortOrder":"2310"},{"id":"2884","question_id":"757","details":"Die E-Mail wurde zur Nachverfolgung gekennzeichnet.<br><br><br>","correct":"1","image":null,"sortOrder":"2311"},{"id":"2885","question_id":"757","details":"Ungelesene\r\nE-Mail<br><br><br>","correct":"0","image":null,"sortOrder":"2312"}]},{"id":"758","title":"Frage 8","quiz_id":"87","description":"Wie ver\u00e4ndern Sie am schnellsten in der Ansicht Telefon bzw. Liste die Spaltensortierung?<br><br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"7.5 Eine\r\nandere Darstellung im Anzeigebereich w\u00e4hlen (S. 51)<br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 07:55:57","sortOrder":"601","answers":[{"id":"2886","question_id":"758","details":"<span>Spaltenkopf\r\nmit der rechten Maustaste anklicken und auf <i>Ansichtssteuerung<\/i>\r\nsowie auf <i>Spalten<\/i> klicken<\/span><br><br><br>","correct":"0","image":null,"sortOrder":"2313"},{"id":"2887","question_id":"758","details":"<span>Im\r\nRegister <i>Ansicht<\/i>, Gruppe <i>Anordnung<\/i>, auf <i>Erweitern\/Reduzieren<\/i> klicken<\/span><br><br><br>","correct":"0","image":null,"sortOrder":"2314"},{"id":"2888","question_id":"758","details":"Spaltenkopf an die gew\u00fcnschte Position ziehen<br><br><br>","correct":"1","image":null,"sortOrder":"2315"},{"id":"2889","question_id":"758","details":"<span>Spaltenkopf\r\nmit der rechten Maustaste anklicken und auf <i>Feldauswahl<\/i>\r\nklicken<\/span><br><br><br>","correct":"0","image":null,"sortOrder":"2316"}]},{"id":"759","title":"Frage 9","quiz_id":"87","description":"Was verbirgt sich hinter einer VCF-Datei?<br><br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"7.7 Kontaktdaten senden und empfangen (S. 53 - 54)<br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 07:56:51","sortOrder":"602","answers":[{"id":"2890","question_id":"759","details":"Eine\r\nTextdatei<br><br><br>","correct":"0","image":null,"sortOrder":"2317"},{"id":"2891","question_id":"759","details":"Ein Virus<br><br><br>","correct":"0","image":null,"sortOrder":"2318"},{"id":"2892","question_id":"759","details":"Eine als\r\nTextdatei gespeicherte E-Mail<br><br><br>","correct":"0","image":null,"sortOrder":"2319"},{"id":"2893","question_id":"759","details":"Eine Visitenkartendatei<br><br><br>","correct":"1","image":null,"sortOrder":"2320"}]},{"id":"760","title":"Frage 10","quiz_id":"87","description":"Wie nehmen Sie im ge\u00f6ffneten Adressbuch \u00c4nderungen an einer Kontaktgruppe vor?<br><br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"8.4 Kontaktgruppen\r\nbearbeiten (S. 61 - 62)<br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 07:57:21","sortOrder":"603","answers":[{"id":"2894","question_id":"760","details":"Den\r\nAdministrator kontaktieren, damit dieser die \u00c4nderung vornimmt<br><br><br>","correct":"0","image":null,"sortOrder":"2321"},{"id":"2895","question_id":"760","details":"<span>Kontaktgruppe doppelt anklicken und\r\ndie \u00c4nderungen \u00fcber das Register <i>Kontaktgruppe <\/i>vornehmen<\/span>\r\n\r\n<br><br><br>","correct":"1","image":null,"sortOrder":"2322"},{"id":"2896","question_id":"760","details":"\u00c4nderungen\r\nan Kontaktgruppen k\u00f6nnen nicht vorgenommen werden<br><br><br>","correct":"0","image":null,"sortOrder":"2323"},{"id":"2897","question_id":"760","details":"Kontaktieren\r\nSie den Microsoft-Support, damit dieser die Funktion freischaltet<br><br><br>","correct":"0","image":null,"sortOrder":"2324"}]},{"id":"761","title":"Frage 11","quiz_id":"87","description":"Worauf klicken Sie in der Tagesansicht, um schnell einen ganzt\u00e4gigen Termin einzutragen?<br><br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"9.7\r\nGanzt\u00e4gige Termine und Ereignisserien eintragen (S. 72 - 73) <br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 07:57:48","sortOrder":"604","answers":[{"id":"2898","question_id":"761","details":"Auf das Datum\r\n\r\n<br><br><br>","correct":"1","image":null,"sortOrder":"2325"},{"id":"2899","question_id":"761","details":"Auf den\r\nWochentag<br><br><br>","correct":"0","image":null,"sortOrder":"2326"},{"id":"2900","question_id":"761","details":"<span>Auf <i>Neuer Termin<\/i> im Register <i>Start<\/i>, Gruppe <i>Neu<\/i><\/span><br><br><br>","correct":"0","image":null,"sortOrder":"2327"},{"id":"2901","question_id":"761","details":"<span>Rechtsklick\r\nauf das Datum und im Kontextmen\u00fc auf <i>Neuer\r\nTermin<\/i><\/span><br><br><br>","correct":"0","image":null,"sortOrder":"2328"}]},{"id":"762","title":"Frage 12","quiz_id":"87","description":"Wo \u00e4ndern Sie die Arbeitstage und den Wochenbeginn?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"10.2 Modul\r\n<i>Kalender<\/i> anpassen (S. 76 - 77) <br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 07:58:13","sortOrder":"605","answers":[{"id":"2902","question_id":"762","details":"<span>Im\r\nRegister <i>Datei<\/i> auf <i>Drucken <\/i>&nbsp;klicken und <i>Kontoeinstellungen<\/i> anklicken<\/span><br><br><br>","correct":"0","image":null,"sortOrder":"2329"},{"id":"2903","question_id":"762","details":"Arbeitstage\r\nund Wochenbeginn k\u00f6nnen nicht ge\u00e4ndert werden<br><br><br>","correct":"0","image":null,"sortOrder":"2330"},{"id":"2904","question_id":"762","details":"<span>Im Register <i>Datei<\/i>\r\nauf <i>Optionen<\/i> klicken und im Fenster <i>Outlook-Optionen<\/i> auf <i>Kalender<\/i> klicken<\/span><br><br><br>","correct":"1","image":null,"sortOrder":"2331"},{"id":"2905","question_id":"762","details":"\u00c4nderungen\r\nmuss der Administrator vornehmen<br><br><br>","correct":"0","image":null,"sortOrder":"2332"}]},{"id":"763","title":"Frage 13","quiz_id":"87","description":"Welche Aussage trifft nicht auf die Besprechungsplanung mit Outlook zu?<br><br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"11.1\r\nBesprechungen planen (S. 82)<br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 07:58:37","sortOrder":"606","answers":[{"id":"2906","question_id":"763","details":"Die freie\r\nZeit der Teilnehmer wird in Outlook angezeigt<br><br><br>","correct":"0","image":null,"sortOrder":"2333"},{"id":"2907","question_id":"763","details":"Jeder kann ohne vorherige Freigabe auf die Daten anderer\r\nTeilnehmer zugreifen<br><br><br>","correct":"1","image":null,"sortOrder":"2334"},{"id":"2908","question_id":"763","details":"Die\r\nBesprechungsanfrage wird per E-Mail versendet und die Teilnehmer k\u00f6nnen\r\nreagieren<br><br><br>","correct":"0","image":null,"sortOrder":"2335"},{"id":"2909","question_id":"763","details":"Die\r\nvereinbarte Besprechung wird als Termin im Kalender eingetragen<br><br><br>","correct":"0","image":null,"sortOrder":"2336"}]},{"id":"764","title":"Frage 14","quiz_id":"87","description":"An welchem Symbol erkennen Sie im Posteingang eine Einladung zu einer Besprechung?<br><br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"11.3 Auf\r\nBesprechungseinladung antworten (S. 85 - 86)<br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 07:59:05","sortOrder":"607","answers":[{"id":"2910","question_id":"764","details":"Symbol <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_87-OL2016_14_01.png\"><br><br><br>","correct":"1","image":null,"sortOrder":"2337"},{"id":"2911","question_id":"764","details":"Symbol <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_87-OL2016_14_02.png\"><br><br><br>","correct":"0","image":null,"sortOrder":"2338"},{"id":"2912","question_id":"764","details":"Symbol <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_87-OL2016_14_03.png\"><br><br><br>","correct":"0","image":null,"sortOrder":"2339"},{"id":"2913","question_id":"764","details":"Symbol <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_87-OL2016_14_04.png\"><br><br><br>","correct":"0","image":null,"sortOrder":"2340"}]},{"id":"765","title":"Frage 15","quiz_id":"87","description":"Klicken Sie eine Aufgabe einer Aufgabenserie mit der rechten Maustaste an und w\u00e4hlen Sie L\u00f6schen, wird \u2026<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"12.3\r\nAufgaben mit Details eintragen (S. 94 - 96)<br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 07:59:33","sortOrder":"608","answers":[{"id":"2914","question_id":"765","details":"die\r\nAufgabe gel\u00f6scht.<br><br><br>","correct":"0","image":null,"sortOrder":"2341"},{"id":"2915","question_id":"765","details":"die ganze Aufgabenserie gel\u00f6scht.<br><br><br>","correct":"1","image":null,"sortOrder":"2342"},{"id":"2916","question_id":"765","details":"die\r\naktuell anstehende Aufgabe gel\u00f6scht.<br><br><br>","correct":"0","image":null,"sortOrder":"2343"},{"id":"2917","question_id":"765","details":"keine\r\nAufgabe gel\u00f6scht.<br><br><br>","correct":"0","image":null,"sortOrder":"2344"}]},{"id":"766","title":"Frage 16","quiz_id":"87","description":"Wie erstellen Sie einen neuen Unterordner?<br><br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"13.1 Ordner (S. 102)<br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 07:59:54","sortOrder":"609","answers":[{"id":"2918","question_id":"766","details":"<span>Ordner anklicken und im Register <i>Ordner<\/i>, Gruppe <i>Neu<\/i> auf <i>Neuer Ordner<\/i> bzw.\r\n<i>Neuer Kalender<\/i> klicken<\/span><br><br><br>","correct":"1","image":null,"sortOrder":"2345"},{"id":"2919","question_id":"766","details":"Neue\r\nOrdner und Unterordner k\u00f6nnen nur vom Administrator angelegt werden<br><br><br>","correct":"0","image":null,"sortOrder":"2346"},{"id":"2920","question_id":"766","details":"Es k\u00f6nnen\r\nkeine Unterordner angelegt werden<br><br><br>","correct":"0","image":null,"sortOrder":"2347"},{"id":"2921","question_id":"766","details":"<span>Ordner\r\nmit der rechten Maustaste anklicken und <i>Eigenschaften<\/i>\r\nw\u00e4hlen<\/span><br><br><br>","correct":"0","image":null,"sortOrder":"2348"}]},{"id":"789","title":"Frage 17","quiz_id":"87","description":"Welche Aussagen stimmen?\r\n\r\n<br><br><br>","type":"1","status":"1","image":null,"randomize":"0","reference":"13.2 Elemente verwalten (S. 103 - 104)\r\n\r\n<br><br><br>","created_at":"2015-11-24 07:35:11","updated_at":"2015-11-24 08:00:18","sortOrder":"611","answers":[{"id":"3010","question_id":"789","details":"Sie k\u00f6nnen aus einem Kontakt eine E-Mail, eine\r\nBesprechungsanfrage oder eine Aufgabenanfrage an diesen Kontakt erstellen.\r\n\r\n<br><br><br>","correct":"1","image":null,"sortOrder":"2437"},{"id":"3011","question_id":"789","details":"Sie k\u00f6nnen aus einer Aufgabe einen Termin oder eine Notiz\r\nerzeugen.\r\n\r\n<br><br><br>","correct":"1","image":null,"sortOrder":"2438"},{"id":"3012","question_id":"789","details":"Sie k\u00f6nnen aus einer Notiz eine Aufgabe oder eine neue\r\nNachricht erstellen.\r\n\r\n<br><br><br>","correct":"1","image":null,"sortOrder":"2439"},{"id":"3013","question_id":"789","details":"Sie k\u00f6nnen aus einer E-Mail eine Notiz erstellen.\r\n\r\n<br><br><br>","correct":"1","image":null,"sortOrder":"2440"}]},{"id":"768","title":"Frage 18","quiz_id":"87","description":"Welche Informationen k\u00f6nnen Sie in eine Signatur eintragen? Mehrere Antworten sind richtig.<br><br><br><br>","type":"1","status":"1","image":null,"randomize":"0","reference":"14.2\r\nSignaturen verwenden (S. 110 - 112) <br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 08:01:39","sortOrder":"612","answers":[{"id":"2926","question_id":"768","details":"Namen<br><br><br>","correct":"1","image":null,"sortOrder":"2353"},{"id":"2927","question_id":"768","details":"Postanschrift<br><br><br>","correct":"1","image":null,"sortOrder":"2354"},{"id":"2928","question_id":"768","details":"Aktuelles\r\nWetter<br><br><br>","correct":"0","image":null,"sortOrder":"2355"},{"id":"2929","question_id":"768","details":"Telefonnummern<br><br><br>","correct":"1","image":null,"sortOrder":"2356"}]},{"id":"769","title":"Frage 19","quiz_id":"87","description":"Welche\r\nInformationen k\u00f6nnen Sie f\u00fcr eine Abwesenheitsnotiz festlegen? Mehrere\r\nAntworten sind richtig.<br><br><br>","type":"1","status":"1","image":null,"randomize":"0","reference":"14.3\r\nAbwesenheit eintragen (S. 112 - 113)<br><br><br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 08:01:58","sortOrder":"613","answers":[{"id":"2930","question_id":"769","details":"Beginn - Ende<br><br><br>","correct":"1","image":null,"sortOrder":"2357"},{"id":"2931","question_id":"769","details":"Automatische Antwort bzw. keine automatische\r\nAntwort<br><br><br>","correct":"1","image":null,"sortOrder":"2358"},{"id":"2932","question_id":"769","details":"Die\r\npers\u00f6nliche Anrede<br><br><br>","correct":"0","image":null,"sortOrder":"2359"},{"id":"2933","question_id":"769","details":"Unterschiedliche Abwesenheitsnotizen\r\nf\u00fcr innerhalb und au\u00dferhalb des Unternehmens\r\n\r\n<br><br><br>","correct":"1","image":null,"sortOrder":"2360"}]},{"id":"770","title":"Frage 20","quiz_id":"87","description":"Was sind\r\nQuickSteps?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"14.4\r\nQuickSteps verwenden (S. 113 - 114) <br><br><br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 08:02:23","sortOrder":"614","answers":[{"id":"2934","question_id":"770","details":"Schnelle\r\nNachrichten<br><br><br>","correct":"0","image":null,"sortOrder":"2361"},{"id":"2935","question_id":"770","details":"Automatisierung h\u00e4ufig verwendeter Vorg\u00e4nge<br><br><br>","correct":"1","image":null,"sortOrder":"2362"},{"id":"2936","question_id":"770","details":"Schnelle\r\nUmfragen<br><br><br>","correct":"0","image":null,"sortOrder":"2363"},{"id":"2937","question_id":"770","details":"Einfachere\r\nVerwaltung des Posteingangs<br><br><br>","correct":"0","image":null,"sortOrder":"2364"}]},{"id":"771","title":"Frage 21","quiz_id":"87","description":"Wie nennt\r\nman unerw\u00fcnschte Nachrichten? Mehrere Antworten sind richtig.<br><br><br>","type":"1","status":"1","image":null,"randomize":"0","reference":"15.2\r\nUnerw\u00fcnschte E-Mails blockieren (S. 119 - 120) <br><br><br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 08:02:50","sortOrder":"615","answers":[{"id":"2938","question_id":"771","details":"E-Mails<br><br><br>","correct":"0","image":null,"sortOrder":"2365"},{"id":"2939","question_id":"771","details":"Spam<br><br><br>","correct":"1","image":null,"sortOrder":"2366"},{"id":"2940","question_id":"771","details":"Junk-E-Mails<br><br><br>","correct":"1","image":null,"sortOrder":"2367"},{"id":"2941","question_id":"771","details":"Snail Mails<br><br><br>","correct":"0","image":null,"sortOrder":"2368"}]},{"id":"772","title":"Frage 22","quiz_id":"87","description":"Welche\r\nAussage trifft auf das Verwalten von E-Mails mittels Regeln zu?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"15.4 E-Mails\r\nmit Regeln verwalten (S. 122 - 125)<br><br><br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 08:03:18","sortOrder":"616","answers":[{"id":"2942","question_id":"772","details":"Regeln sind Aktionen, die ausgef\u00fchrt werden, wenn\r\nein-\/ausgehende E-Mails bestimmte Bedingungen erf\u00fcllen<br><br><br>","correct":"1","image":null,"sortOrder":"2369"},{"id":"2943","question_id":"772","details":"Regeln\r\nk\u00f6nnen nur auf den Postausgang angewendet werden<br><br><br>","correct":"0","image":null,"sortOrder":"2370"},{"id":"2944","question_id":"772","details":"Regeln\r\nk\u00f6nnen nur auf den Posteingang angewendet werden<br><br><br>","correct":"0","image":null,"sortOrder":"2371"},{"id":"2945","question_id":"772","details":"Regeln sind nur auf Aktionen innerhalb des\r\nFirmennetzwerkes anwendbar\r\n\r\n<br><br><br>","correct":"0","image":null,"sortOrder":"2372"}]},{"id":"773","title":"Frage 23","quiz_id":"87","description":"Welche Arten der Kalenderfreigabe stellt Outlook zur\r\nVerf\u00fcgung? Mehrere Antworten sind richtig.\r\n\r\n<br><br><br>","type":"1","status":"1","image":null,"randomize":"0","reference":"16.1\r\nKalender freigeben (S. 127 - 129) <br><br><br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 08:03:44","sortOrder":"617","answers":[{"id":"2946","question_id":"773","details":"Alle Details<br><br><br>","correct":"1","image":null,"sortOrder":"2373"},{"id":"2947","question_id":"773","details":"Uneingeschr\u00e4nkte\r\nNutzung<br><br><br>","correct":"0","image":null,"sortOrder":"2374"},{"id":"2948","question_id":"773","details":"Nur Verf\u00fcgbarkeit<br><br><br>","correct":"1","image":null,"sortOrder":"2375"},{"id":"2949","question_id":"773","details":"Absolute\r\nVerf\u00fcgbarkeit<br><br><br>","correct":"0","image":null,"sortOrder":"2376"}]},{"id":"774","title":"Frage 24","quiz_id":"87","description":"Was\r\nbedeutet es den Kalender freizugeben?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"16.1\r\nKalender freigeben (S. 127 - 129)<br><br><br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 08:04:13","sortOrder":"618","answers":[{"id":"2950","question_id":"774","details":"Der\r\nAdministrator hat Zugriff auf Ihren Kalender und kann dort Wartungsarbeiten\r\nvornehmen<br><br><br>","correct":"0","image":null,"sortOrder":"2377"},{"id":"2951","question_id":"774","details":"Ihr\r\nKalender wird im Internet allen zur Verf\u00fcgung gestellt<br><br><br>","correct":"0","image":null,"sortOrder":"2378"},{"id":"2952","question_id":"774","details":"Mit der Freigabe gew\u00e4hren Sie einer Person Zugriff\r\nauf Ihren Kalender<br><br><br>","correct":"1","image":null,"sortOrder":"2379"},{"id":"2953","question_id":"774","details":"Der\r\nKalender kann unkontrollierbar von jedem genutzt werden<br><br><br>","correct":"0","image":null,"sortOrder":"2380"}]},{"id":"775","title":"Frage 25","quiz_id":"87","description":"F\u00fcr\r\nwelche(s) Modul(e) k\u00f6nnen Sie Stellvertreterrechte erteilen?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"16.2\r\nStellvertreterrechte erteilen (S. 129 - 130)<br><br><br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 08:04:50","sortOrder":"619","answers":[{"id":"2954","question_id":"775","details":"<span>F\u00fcr das\r\nModul <i>E-Mail<\/i> und <i>Kalender<\/i><\/span><br><br><br>","correct":"0","image":null,"sortOrder":"2381"},{"id":"2955","question_id":"775","details":"<span>F\u00fcr das\r\nModul <i>Aufgaben<\/i><\/span><br><br><br>","correct":"0","image":null,"sortOrder":"2382"},{"id":"2956","question_id":"775","details":"F\u00fcr keine\r\nModule<br><br><br>","correct":"0","image":null,"sortOrder":"2383"},{"id":"2957","question_id":"775","details":"F\u00fcr alle Module<br><br><br>","correct":"1","image":null,"sortOrder":"2384"}]},{"id":"776","title":"Frage 26","quiz_id":"87","description":"Was ist ein\r\nRSS-Feed?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"17.4\r\nRSS-Feeds abonnieren (S. 136)<br><br><br>","created_at":"2015-11-12 08:15:58","updated_at":"2015-11-24 08:06:25","sortOrder":"632","answers":[{"id":"2958","question_id":"776","details":"Radiosender\r\nin Outlook<br><br><br>","correct":"0","image":null,"sortOrder":"2385"},{"id":"2959","question_id":"776","details":"Dynamische Lesezeichen<br><br><br>","correct":"1","image":null,"sortOrder":"2386"},{"id":"2960","question_id":"776","details":"\u00dcbersetzungstool\r\nf\u00fcr Outlook<br><br><br>","correct":"0","image":null,"sortOrder":"2387"},{"id":"2961","question_id":"776","details":"Chatprogramm\r\nin Outlook<br><br><br>","correct":"0","image":null,"sortOrder":"2388"}]}],"groups":[]};
    var current = 0;
    var answers = [];
    var results = [];
    var submitted = 0;

    //Hack for IE (localStorage does not supported in IE when you open file locally)
    if (localStorage == undefined) {
        angular.element('.col-md-8.ng-scope').html('<h1 class="text-center">Ein Fehler ist Aufgetreten. <br/>Dieser Browser unterstützt keinen Webspeicher bei lokaler Ausführung! <br/>Bitte benutzen Sie einen anderen Browser.</h1>');
    }

    return {
        getData: function() { return data; },

        setCurrent: function(value) { current = value; localStorage.setItem('current', current);},
        getCurrent: function() { if (localStorage.getItem('current') != null) {
                                     current =  localStorage.getItem('current');
                                 }
                                 return current;
                                },
        setAnswer: function(value) {

            if (answers[current] == null || typeof(answers[current])== undefined)
            {
                answers[current] = value;
            }
            localStorage.setItem('answers', JSON.stringify(answers));
        },
        setResult: function(value) {

            if (results[current] == null || typeof(results[current])== undefined)
            {
                results[current] = value;
            }
            localStorage.setItem('results', JSON.stringify(results));
        },
        getResult: function() { if (localStorage.getItem('results')!= null) {
                                results = JSON.parse(localStorage.getItem('results'));
                                }
                                return results[current];
                               },
        getResults: function() { if (localStorage.getItem('results')!= null) {
                                   results = JSON.parse(localStorage.getItem('results'));
                                }
                                return results;
                                },
        resetResults: function() { results = [];   localStorage.removeItem('results');},
        resetAnswers: function() { answers = [];  localStorage.removeItem('answers');},
        getAnswer: function() {
                                if (localStorage.getItem('answers') != null){
                                    answers = JSON.parse(localStorage.getItem('answers'));
                                }
                                return answers[current];
                              },
        getAnswers: function() {
                                 if (localStorage.getItem('answers') != null){
                                    answers = JSON.parse(localStorage.getItem('answers'));
                                 }
                                 return answers;
                                },

        setSubmitted: function() { submitted++; localStorage.setItem('submitted', submitted); },
        resetSubmitted: function() { submitted = 0; localStorage.setItem('submitted', submitted);  },
        getSubmitted: function() { if (localStorage.getItem('submitted')!= null) {
                                    submitted = localStorage.getItem('submitted');
                                    }
                                   return submitted;
                                  }
    };
});


quizControllers.controller('QuizStartCtrl', ['$scope','$http','$localStorage','$location','$sce','Global',
  function($scope, $http, $localStorage, $location, $sce, Global) {
      $scope.go = function ( path ) {
          $location.path( path );
      };
      Global.setCurrent(0);
      Global.resetSubmitted();
      Global.resetAnswers();
      Global.resetResults();
      localStorage.clear();
      $scope.data = Global.getData();
      $scope.current = Global.current;
      $scope.quiz = $scope.data;
      $scope.size = $scope.data.questions.length;
      $scope.description = $sce.trustAsHtml($scope.data.description);


  }]);

quizControllers.controller('QuizResultsCtrl', ['$scope', '$rootScope', '$http', '$localStorage', '$location','$sce', 'Global',
    function($scope, $rootScope, $http, $localStorage, $location, $sce, Global) {

        $scope.go = function ( path ) {
            $location.path( path );
        };
        $scope.submitted = Global.getSubmitted();

        $scope.stop = function () {
            BootstrapDialog.show({
                title: 'Konfirmation',
                message: 'Wollen Sie wirklich den Test beenden?',
                buttons: [{
                    label: 'Ja',
                    action: function(dialogRef){
                        Global.setCurrent(0);
                        Global.resetSubmitted();
                        Global.resetAnswers();
                        Global.resetResults();
                        localStorage.clear();
                        dialogRef.close();

                        $rootScope.$apply(function() {
                            $location.path('/quiz');
                        });
                    }
                },{
                    label: 'Nein',
                    action: function(dialogRef){
                        dialogRef.close();
                    }
                },
                ]
            });
        };

        if (!$scope.submitted) {
            $scope.stop();
        }


        $scope.data = Global.getData();
        $scope.current = Global.current;
        $scope.quiz = $scope.data;
        $scope.size = $scope.data.questions.length;

        $scope.results = Global.getResults();
        $scope.sum = 0;
        for (var i in $scope.results) {
            $scope.sum += $scope.results[i];
        }

        $scope.reference = $sce.trustAsHtml($scope.quiz.reference);

        $scope.percent = Math.round($scope.sum * 100/ $scope.size);
        if ($scope.data.score) {
            $scope.passed = ($scope.percent >= $scope.data.score);
        } else {
            $scope.passed = 0;
        }

        $scope.score = $scope.data.score;
        $scope.group = '';
        $scope.group_description = '';
        if ($scope.data.score) {
            for (var i in $scope.data.groups) {
                if ($scope.percent >= $scope.data.groups[i]['score']) {
                  $scope.group = $scope.data.groups[i]['name'];
                  $scope.group_description = $sce.trustAsHtml($scope.data.groups[i]['description']);
                  break;
                }
            }
        }
        for (var i in $scope.data.questions) {
            if (typeof($scope.data.questions[i]['reference']) != 'object') {
            $scope.data.questions[i]['reference'] = $sce.trustAsHtml($scope.data.questions[i]['reference']);
        }
        }

    }]);

quizControllers.controller('QuizProcessCtrl', ['$scope', '$rootScope', '$http', '$localStorage', '$location','$sce','$routeParams','Global',
    function($scope, $rootScope, $http,  $localStorage, $location, $sce, $routeParams, Global) {
        $scope.go = function ( path ) {
            $location.path( path );
        };

        $scope.stop = function () {
            BootstrapDialog.show({
                title: 'Konfirmation',
                message: 'Wollen Sie wirklich den Test beenden?',
                buttons: [{
                    label: 'Ja',
                    action: function(dialogRef){
                        Global.setCurrent(0);
                        Global.resetSubmitted();
                        Global.resetAnswers();
                        dialogRef.close();

                        $rootScope.$apply(function() {
                            $location.path('/quiz');
                        });
                    }
                },{
                    label: 'Nein',
                    action: function(dialogRef){
                        dialogRef.close();
                    }
                },
                ]
            });
        };
        $scope.submit = function () {
            if ($("input[name=answer]:checked").get().length)
            {
                Global.setSubmitted();
                $scope.submitted = Global.getSubmitted();
                $scope.showSubmit = false;
                $scope.showSkip = false;
                $scope.showNext = !$scope.last;
                $scope.showResult = $scope.submitted == $scope.size;
                $scope.showMissed = $scope.last &&  $scope.submitted != $scope.size;

                if ($("input[name=answer]:checked").get().length == 1) {
                    var check = $("input[name=answer]:checked").val();
                } else {
                    var check = $("input[name=answer]:checked").map(function() {
                            return this.value;
                    }).get();
                }

                Global.setAnswer(check);
                $scope.answer = Global.getAnswer();
                var point = 1;
                $.when($("input[name=answer]").each(function(){
                        if ($(this).attr('data-correct') == 1)
                        {
                            $(this).parent().addClass('test');
                        }
                        else if (this.checked && $(this).attr('data-correct') != 1) {
                            $(this).parent().addClass('test2');
                        }
                        if( ($(this).attr('data-correct')==1 && !this.checked) ||
                            ($(this).attr('data-correct')!=1 && this.checked)) {
                            point = 0;
                        }
                    })).done(function(){
                            Global.setResult(point);
                });
            } else {
                BootstrapDialog.show({
                    title: 'Warnung',
                    message: 'Bitte wählen Sie mindestens eine Antwort aus',
                    buttons: [{
                        label: 'OK',
                        action: function(dialogRef){
                            dialogRef.close();
                        }
                    },
                    ]
                });

            }

        };
        $scope.data = Global.getData();

        $scope.shift = $routeParams.shift;
        $scope.current = Global.getCurrent();

        if ($scope.shift) {
            Global.setCurrent(parseInt($scope.shift));
            $scope.current = parseInt($scope.shift);
        }

        $scope.question =  $scope.data.questions[$scope.current];

        if (typeof($scope.question) != undefined) {
            $scope.size =  $scope.data.questions.length;
            $scope.answer = Global.getAnswer();
            $scope.answers = Global.getAnswers();

            $scope.submitted = Global.getSubmitted();

            $scope.results = Global.getResults();

            $scope.last = (($scope.current + 1) == $scope.size);

            $scope.prev = $scope.current-1;
            $scope.next = $scope.next-1;

            if (typeof($scope.question.description) != 'object') {
                $scope.description = $sce.trustAsHtml($scope.question.description);
            }
            if (typeof($scope.question.reference) != 'object') {
                $scope.reference = $sce.trustAsHtml($scope.question.reference);
            }

            for (var i in $scope.question.answers) {
                if (typeof($scope.question.answers[i].details) != 'object') {
                    $scope.question.answers[i].details = $sce.trustAsHtml($scope.question.answers[i].details);
                }
            }

            $scope.range = []

            for (var i=1; i<=$scope.size; i++) {
                $scope.range.push(i);
            }

            $scope.showSubmit = !$scope.answer;
            $scope.showNext = !$scope.last && $scope.answer;
            $scope.showPrev = $scope.current > 0;
            $scope.showMissed = $scope.last &&  $scope.answer && $scope.submitted != $scope.size;

            $scope.showResult =  $scope.submitted == $scope.size;

            $scope.showSkip = !$scope.last && !$scope.answer;
            $scope.showImg = $scope.question.image;

            $scope.percent = ($scope.current+1)*100/$scope.size ;
        }
        $scope.url = window.location.href;


    }]);


