'use strict';

/* App Module */

var quizApp = angular.module('quizApp', [
  'ngRoute',
  'ngStorage',
  'quizControllers'
]);



quizApp.config(['$routeProvider',
  function($routeProvider) {
    $routeProvider.
      when('/quiz', {
        templateUrl: 'start.tpl.html',
        controller: 'QuizStartCtrl'
      }).
      when('/process/:shift', {
            templateUrl: 'process.tpl.html',
            controller: 'QuizProcessCtrl'
        }).
      when('/process/', {
            templateUrl: 'process.tpl.html',
            controller: 'QuizProcessCtrl'
        }).
      when('/results', {
            templateUrl: 'results.tpl.html',
            controller: 'QuizResultsCtrl'
        }).
      otherwise({
        redirectTo: '/quiz'
      });
  }]);
