
/* Controllers */

var quizControllers = angular.module('quizControllers', []);


quizControllers.factory( 'Global', function($rootScope) {
    var data = {"id":"227","name":"PowerPoint 2016 - Grundlagen","category_id":"13","description":"Pr\u00fcfen Sie Ihre Kenntnisse und Kompetenzen rund um PowerPoint 2016. Nutzen Sie unser Buch&nbsp;<i>PowerPoint 2016 - Grundlagen<\/i>, um eventuell vorhandene Wissensl\u00fccken schnell und effizient zu schlie\u00dfen.<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-PowerPoint 2016.png\"><br>","number":"","image":null,"reference":"","randomize":"0","score":null,"created_at":"2016-02-29 12:54:49","updated_at":"2016-02-29 14:19:24","sortOrder":"117","internal_name":"POW2016 - Office-Quiz","category":{"id":"13","name":"PowerPoint 2016","version_id":"2","created_at":"2015-10-29 11:31:04","updated_at":"2015-11-30 14:11:17","sortOrder":"8"},"version":{"id":"2","name":"Office 2016","created_at":"2015-10-29 11:29:15","updated_at":"2015-10-29 11:29:15","sortOrder":"2"},"questions":[{"id":"2009","title":"Frage 1","quiz_id":"227","description":"<span>Wie unterst\u00fctzt Sie PowerPoint bei Ihren Vortr\u00e4gen?\r\nMehrere Antworten sind richtig.<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image001.png\"><br><br><br><\/span>","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:49","updated_at":"2016-02-29 12:58:40","sortOrder":"974","answers":[{"id":"7871","question_id":"2009","details":"Sie m\u00fcssen beim Vortrag nur noch den Text auf den\r\nFolien vorlesen.","correct":"0","image":null,"sortOrder":"3798"},{"id":"7874","question_id":"2009","details":"Folien erg\u00e4nzen Ihren Vortrag, indem sie\r\nWichtiges zusammenfassen.","correct":"1","image":null,"sortOrder":"3799"},{"id":"7877","question_id":"2009","details":"Mithilfe von Grafiken k\u00f6nnen Sie komplizierte\r\nSachverhalte verdeutlichen.","correct":"1","image":null,"sortOrder":"3800"},{"id":"7880","question_id":"2009","details":"Folien k\u00f6nnen als Handzettel gedruckt und an das\r\nPublikum verteilt werden.","correct":"1","image":null,"sortOrder":"3801"}]},{"id":"2012","title":"Frage 2","quiz_id":"227","description":"<span>Sie w\u00e4hlen auf dem PowerPoint-Startbildschirm <i>Leere Pr\u00e4sentation<\/i>. Welche Folie ist in\r\nder neu erzeugten Bildschirmpr\u00e4sentation bereits enthalten?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_001.png\"><br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:49","updated_at":"2016-02-29 14:02:34","sortOrder":"975","answers":[{"id":"7883","question_id":"2012","details":"<p>Eine Folie mit dem Layout <i>Titel und Inhalt<\/i><\/p>","correct":"0","image":null,"sortOrder":"3802"},{"id":"7886","question_id":"2012","details":"Keine Folie","correct":"0","image":null,"sortOrder":"3803"},{"id":"7889","question_id":"2012","details":"Die Titelfolie","correct":"1","image":null,"sortOrder":"3804"},{"id":"7892","question_id":"2012","details":"Die Schlussfolie","correct":"0","image":null,"sortOrder":"3805"}]},{"id":"2015","title":"Frage 3","quiz_id":"227","description":"Wie geben Sie eine in PowerPoint ge\u00f6ffnete\r\nPr\u00e4sentation wieder? Mehrere Antworten sind richtig.","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:49","updated_at":"2016-02-29 14:03:44","sortOrder":"976","answers":[{"id":"7895","question_id":"2015","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_002.png\">","correct":"0","image":null,"sortOrder":"3806"},{"id":"7898","question_id":"2015","details":"<button onclick='return false' class='keyboard-f5 keyboard-key'> <\/button>","correct":"1","image":null,"sortOrder":"3807"},{"id":"7901","question_id":"2015","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_003.png\">","correct":"1","image":null,"sortOrder":"3808"},{"id":"7904","question_id":"2015","details":"<button onclick='return false' class='keyboard-f6 keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"3809"},{"id":"7907","question_id":"2015","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_004.png\">","correct":"0","image":null,"sortOrder":"3810"}]},{"id":"2018","title":"Frage 4","quiz_id":"227","description":"Mit welcher Schaltfl\u00e4che f\u00fcgen Sie Ihrer\r\nPr\u00e4sentation eine neue Folie hinzu?","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:49","updated_at":"2016-02-29 14:04:45","sortOrder":"977","answers":[{"id":"7910","question_id":"2018","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_005.png\">","correct":"1","image":null,"sortOrder":"3811"},{"id":"7913","question_id":"2018","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_006.png\">","correct":"0","image":null,"sortOrder":"3812"},{"id":"7916","question_id":"2018","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_007.png\">","correct":"0","image":null,"sortOrder":"3813"},{"id":"7919","question_id":"2018","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_008.png\">","correct":"0","image":null,"sortOrder":"3814"}]},{"id":"2021","title":"Frage 5","quiz_id":"227","description":"Warum sollten Texte in\r\nBildschirmpr\u00e4sentationen m\u00f6glichst als Aufz\u00e4hlungen formatiert sein? Mehrere Antworten sind\r\nrichtig.","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:49","updated_at":"2016-02-29 14:05:16","sortOrder":"978","answers":[{"id":"7922","question_id":"2021","details":"Aufz\u00e4hlungstexte lassen sich schneller merken.","correct":"1","image":null,"sortOrder":"3815"},{"id":"7925","question_id":"2021","details":"Aufz\u00e4hlungstexte sehen besser aus.","correct":"0","image":null,"sortOrder":"3816"},{"id":"7928","question_id":"2021","details":"Aufz\u00e4hlungstexte wirken seri\u00f6ser.","correct":"0","image":null,"sortOrder":"3817"},{"id":"7931","question_id":"2021","details":"Aufz\u00e4hlungstexte fassen Wichtiges zusammen.","correct":"1","image":null,"sortOrder":"3818"}]},{"id":"2024","title":"Frage 6","quiz_id":"227","description":"<span>Sie m\u00f6chten einen Aufz\u00e4hlungspunkt wieder h\u00f6herstufen.\r\nWie gehen Sie vor? Mehrere Antworten sind m\u00f6glich.<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image010.png\"><\/span>","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:49","updated_at":"2016-02-29 14:05:55","sortOrder":"979","answers":[{"id":"7934","question_id":"2024","details":"<button onclick='return false' class='keyboard-shiftleft keyboard-key'> <\/button><button onclick='return false' class='keyboard-tab keyboard-key'> <\/button>","correct":"1","image":null,"sortOrder":"3819"},{"id":"7937","question_id":"2024","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_009.png\">","correct":"0","image":null,"sortOrder":"3820"},{"id":"7940","question_id":"2024","details":"<button onclick='return false' class='keyboard-tab keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"3821"},{"id":"7943","question_id":"2024","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_010.png\">","correct":"1","image":null,"sortOrder":"3822"}]},{"id":"2027","title":"Frage 7","quiz_id":"227","description":"<span>Worauf klicken Sie im unteren Platzhalter, um\r\nauf der aktuellen Folie ein Foto einzuf\u00fcgen?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image014.png\"><br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:49","updated_at":"2016-02-29 14:06:25","sortOrder":"980","answers":[{"id":"7946","question_id":"2027","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image015.png\">","correct":"0","image":null,"sortOrder":"3823"},{"id":"7949","question_id":"2027","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image016.png\">","correct":"0","image":null,"sortOrder":"3824"},{"id":"7952","question_id":"2027","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image017.png\">","correct":"0","image":null,"sortOrder":"3825"},{"id":"7955","question_id":"2027","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image018.png\">","correct":"0","image":null,"sortOrder":"3826"},{"id":"7958","question_id":"2027","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image019.png\">","correct":"1","image":null,"sortOrder":"3827"}]},{"id":"2030","title":"Frage 8","quiz_id":"227","description":"Wie k\u00f6nnen Sie die letzte Aktion r\u00fcckg\u00e4ngig\r\nmachen? Mehrere Antworten sind richtig.","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:49","updated_at":"2016-02-29 14:07:00","sortOrder":"981","answers":[{"id":"7961","question_id":"2030","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_011.png\">","correct":"0","image":null,"sortOrder":"3828"},{"id":"7964","question_id":"2030","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button><button onclick='return false' class='keyboard-z keyboard-key'> <\/button>","correct":"1","image":null,"sortOrder":"3829"},{"id":"7967","question_id":"2030","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_012.png\">","correct":"1","image":null,"sortOrder":"3830"},{"id":"7970","question_id":"2030","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button><button onclick='return false' class='keyboard-r keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"3831"}]},{"id":"2033","title":"Frage 9","quiz_id":"227","description":"Sie m\u00f6chten die Folien Ihrer Bildschirmpr\u00e4sentation als Handzettel\r\ndrucken. Im welchem Register nehmen Sie die Druckeinstellungen vor?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image022.png\"><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:49","updated_at":"2016-02-29 14:07:50","sortOrder":"982","answers":[{"id":"7973","question_id":"2033","details":"Register <i>Start<\/i>","correct":"0","image":null,"sortOrder":"3832"},{"id":"7976","question_id":"2033","details":"Register <i>Datei<\/i>","correct":"1","image":null,"sortOrder":"3833"},{"id":"7979","question_id":"2033","details":"Register <i>Bildschirmpr\u00e4sentation<\/i>","correct":"0","image":null,"sortOrder":"3834"},{"id":"7982","question_id":"2033","details":"Register <i>Ansicht<\/i>","correct":"0","image":null,"sortOrder":"3835"}]},{"id":"2036","title":"Frage 10","quiz_id":"227","description":"<span>Wie k\u00f6nnen Sie zwischen mehreren ge\u00f6ffneten\r\nPr\u00e4sentationen wechseln? Mehrere Antworten sind richtig.<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image023.png\"><br><\/span>","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:49","updated_at":"2016-02-29 14:08:23","sortOrder":"983","answers":[{"id":"7985","question_id":"2036","details":"Register <i>Ansicht<\/i>, Gruppe <i>Fenster<\/i>","correct":"1","image":null,"sortOrder":"3836"},{"id":"7988","question_id":"2036","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button><button onclick='return false' class='keyboard-f6 keyboard-key'> <\/button>","correct":"1","image":null,"sortOrder":"3837"},{"id":"7991","question_id":"2036","details":"Register <i>Ansicht<\/i>, Gruppe <i>Anzeigen<\/i>","correct":"0","image":null,"sortOrder":"3838"},{"id":"7994","question_id":"2036","details":"PowerPoint-Schaltfl\u00e4che in der Taskleiste","correct":"1","image":null,"sortOrder":"3839"}]},{"id":"2039","title":"Frage 11","quiz_id":"227","description":"Was wird durch das Folienlayout bestimmt?","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:49","updated_at":"2016-02-29 14:08:38","sortOrder":"984","answers":[{"id":"7997","question_id":"2039","details":"Anzahl, Art und Anordnung der Platzhalter","correct":"1","image":null,"sortOrder":"3840"},{"id":"8000","question_id":"2039","details":"Schriftart und Schriftgr\u00f6\u00dfe","correct":"0","image":null,"sortOrder":"3841"},{"id":"8003","question_id":"2039","details":"Alle Farben auf der Folie","correct":"0","image":null,"sortOrder":"3842"}]},{"id":"2042","title":"Frage 12","quiz_id":"227","description":"Welche Aussagen zum Folienlayout treffen zu?\r\nMehrere Antworten sind richtig.","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:49","updated_at":"2016-02-29 14:08:56","sortOrder":"985","answers":[{"id":"8006","question_id":"2042","details":"<span>Das Folienlayout einer Folie kann im Register <i>Start<\/i> ge\u00e4ndert werden.<\/span>","correct":"1","image":null,"sortOrder":"3843"},{"id":"8009","question_id":"2042","details":"Jedes Folienlayout verf\u00fcgt \u00fcber mindestens einen\r\nPlatzhalter.","correct":"0","image":null,"sortOrder":"3844"},{"id":"8012","question_id":"2042","details":"Das Folienlayout kann beim Einf\u00fcgen einer neuen\r\nFolie gew\u00e4hlt werden.","correct":"1","image":null,"sortOrder":"3845"},{"id":"8015","question_id":"2042","details":"Das Folienlayout l\u00e4sst sich nachtr\u00e4glich nicht\r\n\u00e4ndern.","correct":"0","image":null,"sortOrder":"3846"}]},{"id":"2045","title":"Frage 13","quiz_id":"227","description":"<span>Worin unterscheiden sich die beiden abgebildeten\r\nFolien?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image30.png\"><br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:49","updated_at":"2016-02-29 14:09:11","sortOrder":"986","answers":[{"id":"8018","question_id":"2045","details":"Im Design","correct":"1","image":null,"sortOrder":"3847"},{"id":"8021","question_id":"2045","details":"Im Folienlayout","correct":"0","image":null,"sortOrder":"3848"},{"id":"8024","question_id":"2045","details":"Es sind zwei Varianten eines Designs.","correct":"0","image":null,"sortOrder":"3849"},{"id":"8027","question_id":"2045","details":"Im Design und im Folienlayout","correct":"0","image":null,"sortOrder":"3850"}]},{"id":"2048","title":"Frage 14","quiz_id":"227","description":"In welchem Register stellen Sie die Foliengr\u00f6\u00dfe\r\nIhrer Bildschirmpr\u00e4sentation ein?","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:49","updated_at":"2016-02-29 14:09:48","sortOrder":"987","answers":[{"id":"8030","question_id":"2048","details":"Register <i>Bildschirmpr\u00e4sentation<\/i>","correct":"0","image":null,"sortOrder":"3851"},{"id":"8033","question_id":"2048","details":"Register <i>Entwurf<\/i>","correct":"1","image":null,"sortOrder":"3852"},{"id":"8036","question_id":"2048","details":"Register <i>Start<\/i>","correct":"0","image":null,"sortOrder":"3853"},{"id":"8039","question_id":"2048","details":"Register <i>Ansicht<\/i>","correct":"0","image":null,"sortOrder":"3854"}]},{"id":"2051","title":"Frage 15","quiz_id":"227","description":"Sie m\u00f6chten eine \u00dcberschrift in Kapit\u00e4lchen\r\nformatieren. Wo nehmen Sie diese Einstellung vor?","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:49","updated_at":"2016-02-29 14:12:05","sortOrder":"988","answers":[{"id":"8042","question_id":"2051","details":"Register <i>Start<\/i>, Gruppe <i>Schriftart<\/i>,&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_013.png\">","correct":"0","image":null,"sortOrder":"3855"},{"id":"8045","question_id":"2051","details":"Register <i>Start<\/i>, Gruppe <i>Schriftart<\/i>,&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_014.png\">","correct":"1","image":null,"sortOrder":"3856"},{"id":"8048","question_id":"2051","details":"Register <i>Format<\/i>, Gruppe <i>Schrift<\/i>,&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_013.png\">","correct":"0","image":null,"sortOrder":"3857"},{"id":"8051","question_id":"2051","details":"Register&nbsp;<i>FORMAT<\/i>, Gruppe&nbsp;<i>Schrift<\/i>,&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_014.png\">","correct":"0","image":null,"sortOrder":"3858"}]},{"id":"2054","title":"Frage 16","quiz_id":"227","description":"Sie m\u00f6chten das Copyright-Zeichen <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image34.png\">\r\nauf der Titelfolie\r\neinf\u00fcgen. Wie gehen Sie vor? Mehrere Antworten sind richtig.","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:50","updated_at":"2016-02-29 14:12:42","sortOrder":"989","answers":[{"id":"8054","question_id":"2054","details":"Register <i>Einf\u00fcgen<\/i>, Gruppe <i>Illustrationen<\/i>, <i>Formen<\/i>","correct":"0","image":null,"sortOrder":"3859"},{"id":"8057","question_id":"2054","details":"<i>{c}<\/i> eintippen","correct":"0","image":null,"sortOrder":"3860"},{"id":"8060","question_id":"2054","details":"Register <i>Einf\u00fcgen<\/i>, Gruppe <i>Symbole<\/i>, <i>Symbol<\/i>","correct":"1","image":null,"sortOrder":"3861"},{"id":"8063","question_id":"2054","details":"<i>(c)<\/i> eintippen","correct":"1","image":null,"sortOrder":"3862"}]},{"id":"2057","title":"Frage 17","quiz_id":"227","description":"Mit welcher Schaltfl\u00e4che \u00e4ndern Sie den\r\nZeilenabstand in einem Textplatzhalter?","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:50","updated_at":"2016-02-29 14:13:37","sortOrder":"990","answers":[{"id":"8066","question_id":"2057","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_015.png\">","correct":"0","image":null,"sortOrder":"3863"},{"id":"8069","question_id":"2057","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_016.png\">","correct":"1","image":null,"sortOrder":"3864"},{"id":"8072","question_id":"2057","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_017.png\">","correct":"0","image":null,"sortOrder":"3865"}]},{"id":"2060","title":"Frage 18","quiz_id":"227","description":"Sie haben Ihre Pr\u00e4sentation in der Leseansicht\r\nkontrolliert. Mit welchem Symbol der Statusleiste wechseln Sie zur\u00fcck in die\r\nNormalansicht?","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:50","updated_at":"2016-02-29 14:14:47","sortOrder":"991","answers":[{"id":"8075","question_id":"2060","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_018.png\">","correct":"0","image":null,"sortOrder":"3866"},{"id":"8078","question_id":"2060","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_019.png\">","correct":"0","image":null,"sortOrder":"3867"},{"id":"8081","question_id":"2060","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_020.png\">","correct":"0","image":null,"sortOrder":"3868"},{"id":"8084","question_id":"2060","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_021.png\">","correct":"1","image":null,"sortOrder":"3869"}]},{"id":"2063","title":"Frage 19","quiz_id":"227","description":"Welche Vorteile bietet die Gliederungsansicht?\r\nMehrere Antworten sind richtig.","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:50","updated_at":"2016-02-29 14:15:05","sortOrder":"992","answers":[{"id":"8087","question_id":"2063","details":"Man\r\nbeh\u00e4lt den \u00dcberblick \u00fcber die inhaltliche Struktur der Pr\u00e4sentation.","correct":"1","image":null,"sortOrder":"3870"},{"id":"8090","question_id":"2063","details":"Man kann die Abbildungen auf den Folien besser\r\nbearbeiten.","correct":"0","image":null,"sortOrder":"3871"},{"id":"8093","question_id":"2063","details":"Man\r\nwird bei der Bearbeitung nicht von grafischen Inhalten abgelenkt.","correct":"1","image":null,"sortOrder":"3872"},{"id":"8096","question_id":"2063","details":"Man\r\nkann sich besser auf die Texte der Folien konzentrieren.","correct":"1","image":null,"sortOrder":"3873"}]},{"id":"2066","title":"Frage 20","quiz_id":"227","description":"<span>Sie haben im Register <i>Einf\u00fcgen<\/i> in der Gruppe <i>Illustrationen<\/i>\r\ndie Form <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image42.png\"><\/span>\r\nausgew\u00e4hlt. Welche Taste halten Sie beim\r\nAufziehen gedr\u00fcckt, um ein exaktes Quadrat zu zeichnen?","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:50","updated_at":"2016-02-29 14:15:30","sortOrder":"993","answers":[{"id":"8099","question_id":"2066","details":"<button onclick='return false' class='keyboard-shiftleft keyboard-key'> <\/button>","correct":"1","image":null,"sortOrder":"3874"},{"id":"8102","question_id":"2066","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"3875"},{"id":"8105","question_id":"2066","details":"<button onclick='return false' class='keyboard-altleft keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"3876"},{"id":"8108","question_id":"2066","details":"<button onclick='return false' class='keyboard-altright keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"3877"}]},{"id":"2069","title":"Frage 21","quiz_id":"227","description":"In den Farbauswahllisten finden Sie die Pipette &nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image43.png\">.<span>&nbsp;Welche Aufgabe erf\u00fcllt sie?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-POW2016_022.png\"><br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:50","updated_at":"2016-02-29 14:16:01","sortOrder":"994","answers":[{"id":"8111","question_id":"2069","details":"Mit\r\nder Pipette l\u00e4sst sich schnell eine Farbe ausw\u00e4hlen, die auf der Folie bereits\r\ngenutzt wird.","correct":"1","image":null,"sortOrder":"3878"},{"id":"8114","question_id":"2069","details":"Mit der Pipette lassen sich geschlossene Formen\r\nmit einer Hintergrundfarbe f\u00fcllen.","correct":"0","image":null,"sortOrder":"3879"},{"id":"8117","question_id":"2069","details":"Mit der Pipette lassen sich Textformatierungen\r\n\u00fcbertragen.","correct":"0","image":null,"sortOrder":"3880"},{"id":"8120","question_id":"2069","details":"Mit der Pipette werden Farben in Designfarben\r\numgewandelt.","correct":"0","image":null,"sortOrder":"3881"}]},{"id":"2072","title":"Frage 22","quiz_id":"227","description":"<span>Sie m\u00f6chten ein beschriftetes Rechteck als\r\nBlickf\u00e4nger auf Ihrer Folie einf\u00fcgen. Wie gehen Sie am effizientesten vor?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image45.png\"><br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:50","updated_at":"2016-02-29 14:16:14","sortOrder":"995","answers":[{"id":"8123","question_id":"2072","details":"Rechteck-Form\r\neinf\u00fcgen, markieren, Text eingeben","correct":"1","image":null,"sortOrder":"3882"},{"id":"8126","question_id":"2072","details":"Rechteck-Form einf\u00fcgen, Textfeld \u00fcber der Form platzieren,\r\nText eingeben","correct":"0","image":null,"sortOrder":"3883"},{"id":"8129","question_id":"2072","details":"Rechteck-Form einf\u00fcgen, Textplatzhalter \u00fcber der\r\nForm platzieren, Text eingeben","correct":"0","image":null,"sortOrder":"3884"}]},{"id":"2075","title":"Frage 23","quiz_id":"227","description":"<span>Wie wurden die links abgebildeten Pfeile\r\nausgerichtet, damit sie dem rechten Bild entsprechen?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image46.png\"><br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:50","updated_at":"2016-02-29 14:16:28","sortOrder":"996","answers":[{"id":"8132","question_id":"2075","details":"Horizontal verteilen","correct":"0","image":null,"sortOrder":"3885"},{"id":"8135","question_id":"2075","details":"Vertikal verteilen","correct":"0","image":null,"sortOrder":"3886"},{"id":"8138","question_id":"2075","details":"Horizontal und vertikal verteilen","correct":"1","image":null,"sortOrder":"3887"},{"id":"8141","question_id":"2075","details":"Linksb\u00fcndig ausrichten","correct":"0","image":null,"sortOrder":"3888"}]},{"id":"2078","title":"Frage 24","quiz_id":"227","description":"<span>Sie m\u00f6chten die Abbildungen auf Ihren Folien mit\r\neinem Fotorahmen versehen. Wie gehen Sie dazu vor?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image47.png\"><br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:50","updated_at":"2016-02-29 14:17:05","sortOrder":"997","answers":[{"id":"8144","question_id":"2078","details":"<span>Im\r\nRegister <i>Format<\/i> eine Bildformatvorlage\r\nausw\u00e4hlen<\/span>","correct":"1","image":null,"sortOrder":"3889"},{"id":"8147","question_id":"2078","details":"<span>Im Register <i>Entwurf<\/i>\r\nein Design ausw\u00e4hlen<\/span>","correct":"0","image":null,"sortOrder":"3890"},{"id":"8150","question_id":"2078","details":"<span>Im Register <i>Format<\/i>\r\neinen k\u00fcnstlerischen Effekt ausw\u00e4hlen<\/span>","correct":"0","image":null,"sortOrder":"3891"},{"id":"8153","question_id":"2078","details":"<span>Im Register <i>Entwurf<\/i>\r\neine Designvariante ausw\u00e4hlen<\/span>","correct":"0","image":null,"sortOrder":"3892"}]},{"id":"2081","title":"Frage 25","quiz_id":"227","description":"<span>Wie bezeichnet man die abgebildeten Grafiktypen?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image48.png\"><br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:50","updated_at":"2016-02-29 14:17:23","sortOrder":"998","answers":[{"id":"8156","question_id":"2081","details":"Organigramm","correct":"0","image":null,"sortOrder":"3893"},{"id":"8159","question_id":"2081","details":"SmartArt","correct":"1","image":null,"sortOrder":"3894"},{"id":"8162","question_id":"2081","details":"Diagramm","correct":"0","image":null,"sortOrder":"3895"},{"id":"8165","question_id":"2081","details":"Tabellenillustration","correct":"0","image":null,"sortOrder":"3896"}]},{"id":"2084","title":"Frage 26","quiz_id":"227","description":"Welche Aussage trifft auf Kreisdiagramme zu?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image49.png\"><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:50","updated_at":"2016-02-29 14:17:37","sortOrder":"999","answers":[{"id":"8168","question_id":"2084","details":"Die einzelnen Farben der Kreissegmente sind nicht\r\n\u00e4nderbar.","correct":"0","image":null,"sortOrder":"3897"},{"id":"8171","question_id":"2084","details":"Ein\r\nKreisdiagramm kann immer nur&nbsp;eine Datenreihe abbilden.","correct":"1","image":null,"sortOrder":"3898"},{"id":"8174","question_id":"2084","details":"Kreisdiagramme eignen sich gut zur Darstellung\r\nvieler Einzelwerte.","correct":"0","image":null,"sortOrder":"3899"},{"id":"8177","question_id":"2084","details":"Kreisdiagramme haben immer vier Kreissegmente.","correct":"0","image":null,"sortOrder":"3900"}]},{"id":"2087","title":"Frage 27","quiz_id":"227","description":"Was versteht man unter \u201eFolienmaster\u201c? Mehrere\r\nAntworten sind richtig.","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:50","updated_at":"2016-02-29 14:17:52","sortOrder":"1000","answers":[{"id":"8180","question_id":"2087","details":"Der Folienmaster bestimmt die Reihenfolge der\r\nFolien in einer Pr\u00e4sentation.&nbsp;","correct":"0","image":null,"sortOrder":"3901"},{"id":"8183","question_id":"2087","details":"Der Folienmaster ist ein Mitarbeiter, der\r\nVorlagen f\u00fcr Pr\u00e4sentationen erstellt.","correct":"0","image":null,"sortOrder":"3902"},{"id":"8186","question_id":"2087","details":"Im\r\nFolienmaster werden Platzhalter und Formatierungen folien\u00fcbergreifend\r\nfestgelegt.","correct":"1","image":null,"sortOrder":"3903"},{"id":"8189","question_id":"2087","details":"Im\r\nFolienmaster sind die Folienlayouts definiert.","correct":"1","image":null,"sortOrder":"3904"}]},{"id":"2090","title":"Frage 28","quiz_id":"227","description":"<span>Die Referentenansicht unterst\u00fctzt Sie bei Ihrem\r\nVortrag. Welche Funktion bietet sie<i> nicht<\/i>?<\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:50","updated_at":"2016-02-29 14:18:12","sortOrder":"1001","answers":[{"id":"8192","question_id":"2090","details":"Freihandzeichnen auf der Folie","correct":"0","image":null,"sortOrder":"3905"},{"id":"8195","question_id":"2090","details":"Nutzung der Maus als Textmarker","correct":"0","image":null,"sortOrder":"3906"},{"id":"8198","question_id":"2090","details":"Drucken\r\neiner Folie als Handzettel","correct":"1","image":null,"sortOrder":"3907"},{"id":"8201","question_id":"2090","details":"Springen zu einer beliebigen Folie","correct":"0","image":null,"sortOrder":"3908"},{"id":"8204","question_id":"2090","details":"Nutzung der Maus als Laserpointer","correct":"0","image":null,"sortOrder":"3909"}]},{"id":"2093","title":"Frage 29","quiz_id":"227","description":"Welche Eigenschaften bzw. Inhalte einer\r\nPr\u00e4sentation werden beim Exportieren in das PDF-Format verworfen?","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:53","updated_at":"2016-02-29 14:18:29","sortOrder":"1002","answers":[{"id":"8207","question_id":"2093","details":"SmartArts und Diagramme","correct":"0","image":null,"sortOrder":"3910"},{"id":"8210","question_id":"2093","details":"Animationen\r\nund \u00dcberblendungen","correct":"1","image":null,"sortOrder":"3911"},{"id":"8213","question_id":"2093","details":"Formen und WordArt-Texte","correct":"0","image":null,"sortOrder":"3912"},{"id":"8216","question_id":"2093","details":"Tabellen und Textfelder","correct":"0","image":null,"sortOrder":"3913"}]},{"id":"2096","title":"Frage 30","quiz_id":"227","description":"<span>Sie m\u00f6chten den Standardspeicherort f\u00fcr Ihre\r\nPowerPoint-Pr\u00e4sentationen \u00e4ndern. In welchem Register k\u00f6nnen Sie das Fenster <i>PowerPoint-Optionen<\/i> \u00f6ffnen?<br><br><\/span><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_227-image50.png\"><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 12:54:53","updated_at":"2016-02-29 14:19:13","sortOrder":"1003","answers":[{"id":"8219","question_id":"2096","details":"<span>Register <i>Ansicht<\/i><\/span>","correct":"0","image":null,"sortOrder":"3914"},{"id":"8222","question_id":"2096","details":"<span>Register <i>Bildschirmpr\u00e4sentation<\/i><\/span>","correct":"0","image":null,"sortOrder":"3915"},{"id":"8225","question_id":"2096","details":"<span>Register\r\n<i>Datei<\/i><\/span>","correct":"1","image":null,"sortOrder":"3916"},{"id":"8228","question_id":"2096","details":"<span>Register <i>Start<\/i><\/span>","correct":"0","image":null,"sortOrder":"3917"}]}],"groups":[]};
    var current = 0;
    var answers = [];
    var results = [];
    var submitted = 0;

    //Hack for IE (localStorage does not supported in IE when you open file locally)
    if (localStorage == undefined) {
        angular.element('.col-md-8.ng-scope').html('<h1 class="text-center">Ein Fehler ist Aufgetreten. <br/>Dieser Browser unterstützt keinen Webspeicher bei lokaler Ausführung! <br/>Bitte benutzen Sie einen anderen Browser.</h1>');
    }

    return {
        getData: function() { return data; },

        setCurrent: function(value) { current = value; localStorage.setItem('current', current);},
        getCurrent: function() { if (localStorage.getItem('current') != null) {
                                     current =  localStorage.getItem('current');
                                 }
                                 return current;
                                },
        setAnswer: function(value) {

            if (answers[current] == null || typeof(answers[current])== undefined)
            {
                answers[current] = value;
            }
            localStorage.setItem('answers', JSON.stringify(answers));
        },
        setResult: function(value) {

            if (results[current] == null || typeof(results[current])== undefined)
            {
                results[current] = value;
            }
            localStorage.setItem('results', JSON.stringify(results));
        },
        getResult: function() { if (localStorage.getItem('results')!= null) {
                                results = JSON.parse(localStorage.getItem('results'));
                                }
                                return results[current];
                               },
        getResults: function() { if (localStorage.getItem('results')!= null) {
                                   results = JSON.parse(localStorage.getItem('results'));
                                }
                                return results;
                                },
        resetResults: function() { results = [];   localStorage.removeItem('results');},
        resetAnswers: function() { answers = [];  localStorage.removeItem('answers');},
        getAnswer: function() {
                                if (localStorage.getItem('answers') != null){
                                    answers = JSON.parse(localStorage.getItem('answers'));
                                }
                                return answers[current];
                              },
        getAnswers: function() {
                                 if (localStorage.getItem('answers') != null){
                                    answers = JSON.parse(localStorage.getItem('answers'));
                                 }
                                 return answers;
                                },

        setSubmitted: function() { submitted++; localStorage.setItem('submitted', submitted); },
        resetSubmitted: function() { submitted = 0; localStorage.setItem('submitted', submitted);  },
        getSubmitted: function() { if (localStorage.getItem('submitted')!= null) {
                                    submitted = localStorage.getItem('submitted');
                                    }
                                   return submitted;
                                  }
    };
});


quizControllers.controller('QuizStartCtrl', ['$scope','$http','$localStorage','$location','$sce','Global',
  function($scope, $http, $localStorage, $location, $sce, Global) {
      $scope.go = function ( path ) {
          $location.path( path );
      };
      Global.setCurrent(0);
      Global.resetSubmitted();
      Global.resetAnswers();
      Global.resetResults();
      localStorage.clear();
      $scope.data = Global.getData();
      $scope.current = Global.current;
      $scope.quiz = $scope.data;
      $scope.size = $scope.data.questions.length;
      $scope.description = $sce.trustAsHtml($scope.data.description);


  }]);

quizControllers.controller('QuizResultsCtrl', ['$scope', '$rootScope', '$http', '$localStorage', '$location','$sce', 'Global',
    function($scope, $rootScope, $http, $localStorage, $location, $sce, Global) {

        $scope.go = function ( path ) {
            $location.path( path );
        };
        $scope.submitted = Global.getSubmitted();

        $scope.stop = function () {
            BootstrapDialog.show({
                title: 'Konfirmation',
                message: 'Wollen Sie wirklich den Test beenden?',
                buttons: [{
                    label: 'Ja',
                    action: function(dialogRef){
                        Global.setCurrent(0);
                        Global.resetSubmitted();
                        Global.resetAnswers();
                        Global.resetResults();
                        localStorage.clear();
                        dialogRef.close();

                        $rootScope.$apply(function() {
                            $location.path('/quiz');
                        });
                    }
                },{
                    label: 'Nein',
                    action: function(dialogRef){
                        dialogRef.close();
                    }
                },
                ]
            });
        };

        if (!$scope.submitted) {
            $scope.stop();
        }


        $scope.data = Global.getData();
        $scope.current = Global.current;
        $scope.quiz = $scope.data;
        $scope.size = $scope.data.questions.length;

        $scope.results = Global.getResults();
        $scope.sum = 0;
        for (var i in $scope.results) {
            $scope.sum += $scope.results[i];
        }

        $scope.reference = $sce.trustAsHtml($scope.quiz.reference);

        $scope.percent = Math.round($scope.sum * 100/ $scope.size);
        if ($scope.data.score) {
            $scope.passed = ($scope.percent >= $scope.data.score);
        } else {
            $scope.passed = 0;
        }

        $scope.score = $scope.data.score;
        $scope.group = '';
        $scope.group_description = '';
        if ($scope.data.score) {
            for (var i in $scope.data.groups) {
                if ($scope.percent >= $scope.data.groups[i]['score']) {
                  $scope.group = $scope.data.groups[i]['name'];
                  $scope.group_description = $sce.trustAsHtml($scope.data.groups[i]['description']);
                  break;
                }
            }
        }
        for (var i in $scope.data.questions) {
            if (typeof($scope.data.questions[i]['reference']) != 'object') {
            $scope.data.questions[i]['reference'] = $sce.trustAsHtml($scope.data.questions[i]['reference']);
        }
        }

    }]);

quizControllers.controller('QuizProcessCtrl', ['$scope', '$rootScope', '$http', '$localStorage', '$location','$sce','$routeParams','Global',
    function($scope, $rootScope, $http,  $localStorage, $location, $sce, $routeParams, Global) {
        $scope.go = function ( path ) {
            $location.path( path );
        };

        $scope.stop = function () {
            BootstrapDialog.show({
                title: 'Konfirmation',
                message: 'Wollen Sie wirklich den Test beenden?',
                buttons: [{
                    label: 'Ja',
                    action: function(dialogRef){
                        Global.setCurrent(0);
                        Global.resetSubmitted();
                        Global.resetAnswers();
                        dialogRef.close();

                        $rootScope.$apply(function() {
                            $location.path('/quiz');
                        });
                    }
                },{
                    label: 'Nein',
                    action: function(dialogRef){
                        dialogRef.close();
                    }
                },
                ]
            });
        };
        $scope.submit = function () {
            if ($("input[name=answer]:checked").get().length)
            {
                Global.setSubmitted();
                $scope.submitted = Global.getSubmitted();
                $scope.showSubmit = false;
                $scope.showSkip = false;
                $scope.showNext = !$scope.last;
                $scope.showResult = $scope.submitted == $scope.size;
                $scope.showMissed = $scope.last &&  $scope.submitted != $scope.size;

                if ($("input[name=answer]:checked").get().length == 1) {
                    var check = $("input[name=answer]:checked").val();
                } else {
                    var check = $("input[name=answer]:checked").map(function() {
                            return this.value;
                    }).get();
                }

                Global.setAnswer(check);
                $scope.answer = Global.getAnswer();
                var point = 1;
                $.when($("input[name=answer]").each(function(){
                        if ($(this).attr('data-correct') == 1)
                        {
                            $(this).parent().addClass('test');
                        }
                        else if (this.checked && $(this).attr('data-correct') != 1) {
                            $(this).parent().addClass('test2');
                        }
                        if( ($(this).attr('data-correct')==1 && !this.checked) ||
                            ($(this).attr('data-correct')!=1 && this.checked)) {
                            point = 0;
                        }
                    })).done(function(){
                            Global.setResult(point);
                });
            } else {
                BootstrapDialog.show({
                    title: 'Warnung',
                    message: 'Bitte wählen Sie mindestens eine Antwort aus',
                    buttons: [{
                        label: 'OK',
                        action: function(dialogRef){
                            dialogRef.close();
                        }
                    },
                    ]
                });

            }

        };
        $scope.data = Global.getData();

        $scope.shift = $routeParams.shift;
        $scope.current = Global.getCurrent();

        if ($scope.shift) {
            Global.setCurrent(parseInt($scope.shift));
            $scope.current = parseInt($scope.shift);
        }

        $scope.question =  $scope.data.questions[$scope.current];

        if (typeof($scope.question) != undefined) {
            $scope.size =  $scope.data.questions.length;
            $scope.answer = Global.getAnswer();
            $scope.answers = Global.getAnswers();

            $scope.submitted = Global.getSubmitted();

            $scope.results = Global.getResults();

            $scope.last = (($scope.current + 1) == $scope.size);

            $scope.prev = $scope.current-1;
            $scope.next = $scope.next-1;

            if (typeof($scope.question.description) != 'object') {
                $scope.description = $sce.trustAsHtml($scope.question.description);
            }
            if (typeof($scope.question.reference) != 'object') {
                $scope.reference = $sce.trustAsHtml($scope.question.reference);
            }

            for (var i in $scope.question.answers) {
                if (typeof($scope.question.answers[i].details) != 'object') {
                    $scope.question.answers[i].details = $sce.trustAsHtml($scope.question.answers[i].details);
                }
            }

            $scope.range = []

            for (var i=1; i<=$scope.size; i++) {
                $scope.range.push(i);
            }

            $scope.showSubmit = !$scope.answer;
            $scope.showNext = !$scope.last && $scope.answer;
            $scope.showPrev = $scope.current > 0;
            $scope.showMissed = $scope.last &&  $scope.answer && $scope.submitted != $scope.size;

            $scope.showResult =  $scope.submitted == $scope.size;

            $scope.showSkip = !$scope.last && !$scope.answer;
            $scope.showImg = $scope.question.image;

            $scope.percent = ($scope.current+1)*100/$scope.size ;
        }
        $scope.url = window.location.href;


    }]);


