
/* Controllers */

var quizControllers = angular.module('quizControllers', []);


quizControllers.factory( 'Global', function($rootScope) {
    var data = {"id":"224","name":"Word 2016 - Grundlagen","category_id":"14","description":"Pr\u00fcfen Sie Ihre Kenntnisse und Kompetenzen rund um Word 2016. Nutzen Sie unser Buch <i>Word 2016 - Grundlagen<\/i>, um eventuell vorhandene Wissensl\u00fccken schnell und effizient zu schlie\u00dfen.<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-Word 2016.png\"><br>","number":"4","image":"test_28_Word.png","reference":"","randomize":"0","score":null,"created_at":"2016-02-29 11:59:49","updated_at":"2018-03-12 17:07:23","sortOrder":"143","internal_name":"WW2016 - Office-Quiz","category":{"id":"14","name":"Word 2016","version_id":"2","created_at":"2015-10-29 11:31:28","updated_at":"2016-04-04 15:32:02","sortOrder":"10"},"version":{"id":"2","name":"Office 2016","created_at":"2015-10-29 11:29:15","updated_at":"2015-10-29 11:29:15","sortOrder":"2"},"questions":[{"id":"1919","title":"Frage 1","quiz_id":"224","description":"<p>Welche Aussagen treffen auf die\r\nTextverarbeitung mit Word zu? Mehrere Antworten sind richtig.<\/p>","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:27:36","sortOrder":"944","answers":[{"id":"7514","question_id":"1919","details":"Word erm\u00f6glicht das Erfassen und Gestalten von Textdokumenten.","correct":"1","image":null,"sortOrder":"3679"},{"id":"7517","question_id":"1919","details":"Mit Word lassen sich keine Abbildungen bearbeiten.","correct":"0","image":null,"sortOrder":"3680"},{"id":"7520","question_id":"1919","details":"Word hilft beim Korrigieren von Texten.","correct":"1","image":null,"sortOrder":"3681"},{"id":"7523","question_id":"1919","details":"In Word lassen sich ausschlie\u00dflich Briefe schreiben.","correct":"0","image":null,"sortOrder":"3682"}]},{"id":"1922","title":"Frage 2","quiz_id":"224","description":"<p>Falls Sie mehr Platz auf dem Bildschirm\r\nben\u00f6tigen, k\u00f6nnen Sie die Bedienelemente im&nbsp;Men\u00fcband automatisch ausblenden lassen. Mit welcher Schaltfl\u00e4che erledigen Sie das?<\/p><p><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_001.png\"><br><\/p>","type":"2","status":"1","image":"question_153_ww2013_30_1.png","randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:29:17","sortOrder":"945","answers":[{"id":"7526","question_id":"1922","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_003.png\">","correct":"0","image":"","sortOrder":"3683"},{"id":"7529","question_id":"1922","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_004.png\">","correct":"1","image":"","sortOrder":"3684"},{"id":"7532","question_id":"1922","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_005.png\">","correct":"0","image":"","sortOrder":"3685"},{"id":"7535","question_id":"1922","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_006.png\">","correct":"0","image":"","sortOrder":"3686"}]},{"id":"1925","title":"Frage 3","quiz_id":"224","description":"<p>Sie m\u00f6chten an einer Textstelle mithilfe der\r\nMinisymbolleiste die Formatierung \u00e4ndern. Wie gehen Sie vor, um die Minisymbolleiste anzuzeigen?<\/p><p><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-ww2013_02_1.png\"><br><\/p>","type":"2","status":"1","image":"question_155_ww2013_02_1.png","randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:30:22","sortOrder":"946","answers":[{"id":"7538","question_id":"1925","details":"Markierten Text mit der rechten Maustaste anklicken","correct":"1","image":null,"sortOrder":"3687"},{"id":"7541","question_id":"1925","details":"Markierten Text mit gedr\u00fcckter <button onclick='return false' class='keyboard-shiftleft keyboard-key'> <\/button>-Taste&nbsp;anklicken","correct":"0","image":null,"sortOrder":"3688"},{"id":"7544","question_id":"1925","details":"Markierten Text mit der linken Maustaste anklicken","correct":"0","image":null,"sortOrder":"3689"}]},{"id":"1928","title":"Frage 4","quiz_id":"224","description":"<p>Sie m\u00f6chten mit nur einem Mausklick den\r\ngesamten Satz markieren. Welche Taste halten Sie dabei gedr\u00fcckt? <\/p>","type":"2","status":"1","image":"question_156_ww2013_03_1.png","randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:30:44","sortOrder":"947","answers":[{"id":"7547","question_id":"1928","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button>","correct":"1","image":null,"sortOrder":"3690"},{"id":"7550","question_id":"1928","details":"<button onclick='return false' class='keyboard-backspace keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"3691"},{"id":"7553","question_id":"1928","details":"<button onclick='return false' class='keyboard-shiftleft keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"3692"},{"id":"7556","question_id":"1928","details":"<button onclick='return false' class='keyboard-altleft keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"3693"}]},{"id":"1931","title":"Frage 5","quiz_id":"224","description":"<p>Welchen Befehl rufen Sie auf, um den letzten Arbeitsschritt zu wiederholen? Mehrere Antworten sind richtig.<\/p>","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:31:42","sortOrder":"948","answers":[{"id":"7559","question_id":"1931","details":"<span>Register <i>Start<\/i>, Gruppe <i>Bearbeiten<\/i>, <i>Wiederholen<\/i><\/span><br>","correct":"0","image":null,"sortOrder":"3694"},{"id":"7562","question_id":"1931","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_007.png\">","correct":"0","image":null,"sortOrder":"3695"},{"id":"7565","question_id":"1931","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_008.png\">","correct":"1","image":null,"sortOrder":"3696"},{"id":"7568","question_id":"1931","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button> <button onclick='return false' class='keyboard-y keyboard-key'> <\/button>","correct":"1","image":null,"sortOrder":"3697"}]},{"id":"1934","title":"Frage 6","quiz_id":"224","description":"Sie markieren einen Textbereich und ziehen\r\nihn mit gedr\u00fcckter <button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button>-Taste an eine andere Position im Dokument. Was geschieht?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-ww2013_03_1.png\"><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:32:21","sortOrder":"949","answers":[{"id":"7571","question_id":"1934","details":"Der Abschnitt wird von seiner urspr\u00fcnglichen Position entfernt.","correct":"0","image":null,"sortOrder":"3698"},{"id":"7574","question_id":"1934","details":"Der Abschnitt wird kopiert.","correct":"1","image":null,"sortOrder":"3699"},{"id":"7577","question_id":"1934","details":"Der Abschnitt wird in die Zwischenablage kopiert.","correct":"0","image":null,"sortOrder":"3700"},{"id":"7580","question_id":"1934","details":"Der Abschnitt wird verschoben.","correct":"0","image":null,"sortOrder":"3701"}]},{"id":"1937","title":"Frage 7","quiz_id":"224","description":"<p>Ein bedingter Trennstrich wird \u2013 im Gegensatz\r\nzu einem normalen Bindestrich \u2013 nur dann angezeigt, wenn das Wort auch tats\u00e4chlich\r\ngetrennt wird. Wie f\u00fcgen Sie einen bedingten Trennstrich ein? <\/p><p><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-ww2013_24_1.png\"><br><\/p>","type":"2","status":"1","image":"question_159_ww2013_24_1.png","randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:32:43","sortOrder":"950","answers":[{"id":"7583","question_id":"1937","details":"<button onclick='return false' class='keyboard-altleft keyboard-key'> <\/button> <button onclick='return false' class='keyboard-shiftleft keyboard-key'> <\/button> <button onclick='return false' class='keyboard-minus keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"3702"},{"id":"7586","question_id":"1937","details":"<button onclick='return false' class='keyboard-altleft keyboard-key'> <\/button> <button onclick='return false' class='keyboard-minus keyboard-key'> <\/button><br>","correct":"0","image":null,"sortOrder":"3703"},{"id":"7589","question_id":"1937","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button> <button onclick='return false' class='keyboard-minus keyboard-key'> <\/button><br>","correct":"1","image":null,"sortOrder":"3704"},{"id":"7592","question_id":"1937","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button> <button onclick='return false' class='keyboard-shiftleft keyboard-key'> <\/button> <button onclick='return false' class='keyboard-minus keyboard-key'> <\/button><br><br>","correct":"0","image":null,"sortOrder":"3705"}]},{"id":"1940","title":"Frage 8","quiz_id":"224","description":"<p>Sie m\u00f6chten eine \u00dcberschrift in Kapit\u00e4lchen\r\nformatieren. Wie \u00f6ffnen Sie das Dialogfenster <i>Schriftart<\/i>, in dem Sie diese Zeichenformatierung zuweisen k\u00f6nnen?<\/p><p><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_009.png\"><br><\/p>","type":"2","status":"1","image":"question_160_ww2013_06_1.png","randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:34:32","sortOrder":"951","answers":[{"id":"7595","question_id":"1940","details":"Register <i>Seitenlayout<\/i>, Gruppe <i>Absatz<\/i>,&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_010.png\">","correct":"0","image":null,"sortOrder":"3706"},{"id":"7598","question_id":"1940","details":"Register <i>Datei<\/i>, <i>Optionen<\/i>","correct":"0","image":null,"sortOrder":"3707"},{"id":"7601","question_id":"1940","details":"Register <i>Start<\/i>, Gruppe <i>Schriftart<\/i>,&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_010.png\">","correct":"1","image":null,"sortOrder":"3708"},{"id":"7604","question_id":"1940","details":"Register <i>Start<\/i>, Gruppe <i>Schriftart<\/i>,&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_011.png\">","correct":"0","image":null,"sortOrder":"3709"}]},{"id":"1943","title":"Frage 9","quiz_id":"224","description":"<p>Mithilfe von Texteffekten erstellen Sie mit\r\nwenigen Mausklicks ansprechende Blickf\u00e4nger. Wie weisen Sie den abgebildeten Effekt zu? <\/p><p><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-ww2013_13_1.png\"><\/p>","type":"2","status":"1","image":"question_161_ww2013_13_1.png","randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:36:20","sortOrder":"952","answers":[{"id":"7607","question_id":"1943","details":"Register <i>Entwurf<\/i>, Gruppe <i>Dokumentformatierung,<\/i> <i>Effekte<\/i>","correct":"0","image":null,"sortOrder":"3710"},{"id":"7610","question_id":"1943","details":"Register <i>Start<\/i>, Gruppe <i>Schriftart<\/i>,&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_012.png\"><br>","correct":"1","image":null,"sortOrder":"3711"},{"id":"7613","question_id":"1943","details":"Register <i>Einf\u00fcgen<\/i>, Gruppe <i>Illustrationen<\/i>, <i>SmartArt<\/i>","correct":"0","image":null,"sortOrder":"3712"},{"id":"7616","question_id":"1943","details":"Register <i>Entwurf<\/i>, Gruppe <i>Dokumentformatierung<\/i>, <i>Designs<\/i>","correct":"0","image":null,"sortOrder":"3713"}]},{"id":"1946","title":"Frage 10","quiz_id":"224","description":"Wo stellen Sie den Zeilenabstand ein?","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:37:27","sortOrder":"953","answers":[{"id":"7619","question_id":"1946","details":"Register <i>Start<\/i>, Gruppe Absatz","correct":"1","image":null,"sortOrder":"3714"},{"id":"7622","question_id":"1946","details":"Register <i>Start<\/i>, Gruppe <i>Formatvorlagen<\/i>","correct":"0","image":null,"sortOrder":"3715"},{"id":"7625","question_id":"1946","details":"Register <i>Layout<\/i>, Gruppe <i>Seite einrichten<\/i>","correct":"0","image":null,"sortOrder":"3716"},{"id":"7628","question_id":"1946","details":"Register <i>Layout<\/i>, Gruppe <i>Absatz<\/i>","correct":"0","image":null,"sortOrder":"3717"}]},{"id":"1949","title":"Frage 11","quiz_id":"224","description":"<p>Wie bezeichnet man den abgebildeten Absatzeinzug?<\/p><p><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-Einzug.png\"><br><\/p>","type":"2","status":"1","image":"question_163_ww2013_09_1.png","randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:37:55","sortOrder":"954","answers":[{"id":"7631","question_id":"1949","details":"Linker Einzug","correct":"0","image":null,"sortOrder":"3718"},{"id":"7634","question_id":"1949","details":"Zweitzeileneinzug","correct":"0","image":null,"sortOrder":"3719"},{"id":"7637","question_id":"1949","details":"Rechter Einzug","correct":"0","image":null,"sortOrder":"3720"},{"id":"7640","question_id":"1949","details":"H\u00e4ngender Einzug","correct":"1","image":null,"sortOrder":"3721"}]},{"id":"1952","title":"Frage 12","quiz_id":"224","description":"<p>Wie erzeugen Sie in einer Aufz\u00e4hlung eine neue Zeile, ohne dass dabei ein weiterer Aufz\u00e4hlungspunkt entsteht?<\/p><p><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-ww2013_08_1.png\"><\/p>","type":"2","status":"1","image":"question_164_ww2013_08_1.png","randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:38:31","sortOrder":"955","answers":[{"id":"7643","question_id":"1952","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button> <button onclick='return false' class='keyboard-enter keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"3722"},{"id":"7646","question_id":"1952","details":"<button onclick='return false' class='keyboard-enter keyboard-key'> <\/button> <button onclick='return false' class='keyboard-enter keyboard-key'> <\/button><br><br>","correct":"0","image":null,"sortOrder":"3723"},{"id":"7649","question_id":"1952","details":"<button onclick='return false' class='keyboard-shiftleft keyboard-key'> <\/button> <button onclick='return false' class='keyboard-enter keyboard-key'> <\/button><br><br>","correct":"1","image":null,"sortOrder":"3724"},{"id":"7652","question_id":"1952","details":"<button onclick='return false' class='keyboard-altleft keyboard-key'> <\/button> <button onclick='return false' class='keyboard-enter keyboard-key'> <\/button><br>","correct":"0","image":null,"sortOrder":"3725"}]},{"id":"1955","title":"Frage 13","quiz_id":"224","description":"<p>Im Fenster <i>Tabstopps<\/i>\r\nk\u00f6nnen Sie Tabstopps millimetergenau platzieren. Wie gelangen Sie in dieses Fenster? Mehrere Antworten sind richtig.<\/p><p><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_013.png\"><br><\/p>","type":"1","status":"1","image":"question_165_ww2013_10_1.png","randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:39:38","sortOrder":"956","answers":[{"id":"7655","question_id":"1955","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button> <button onclick='return false' class='keyboard-tab keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"3726"},{"id":"7658","question_id":"1955","details":"Tabstoppsymbol im Lineal doppelt anklicken<br>","correct":"1","image":null,"sortOrder":"3727"},{"id":"7661","question_id":"1955","details":"<span>Register <i>Start<\/i>, Gruppe <i>Absatz<\/i>, <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_010.png\"><\/span><span>, <i>Tabstopps<\/i><\/span><br>","correct":"1","image":null,"sortOrder":"3728"},{"id":"7664","question_id":"1955","details":"<button onclick='return false' class='keyboard-shiftleft keyboard-key'> <\/button> <button onclick='return false' class='keyboard-tab keyboard-key'> <\/button><br><br>","correct":"0","image":null,"sortOrder":"3729"}]},{"id":"1958","title":"Frage 14","quiz_id":"224","description":"<p>Welche Aussagen \u00fcber Formatvorlagen sind\r\nzutreffend? Mehrere Antworten sind richtig.<\/p>","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:40:00","sortOrder":"957","answers":[{"id":"7667","question_id":"1958","details":"Formatvorlagen sorgen f\u00fcr ein einheitliches Erscheinungsbild Ihrer Word-Dokumente.","correct":"1","image":null,"sortOrder":"3730"},{"id":"7670","question_id":"1958","details":"\u00dcber Formatvorlagen k\u00f6nnen selbst gro\u00dfe Dokumente mit wenigen Mausklicks neu formatiert werden.","correct":"1","image":null,"sortOrder":"3731"},{"id":"7673","question_id":"1958","details":"Formatvorlagen sorgen ausschlie\u00dflich f\u00fcr ein einheitliches Schriftbild.","correct":"0","image":null,"sortOrder":"3732"},{"id":"7676","question_id":"1958","details":"Eine Formatvorlage betrifft grunds\u00e4tzlich nur ein einzelnes Formatierungsmerkmal.","correct":"0","image":null,"sortOrder":"3733"}]},{"id":"1961","title":"Frage 15","quiz_id":"224","description":"<p>Der Firmenname \u201eAutomobile M\u00fcller\u201c soll im\r\nverbleibenden Text die gleiche Formatierung wie im ersten Satz erhalten. Mit welchem Befehl \u00fcbertragen Sie die Formatierung, nachdem Sie den Cursor in den roten Schriftzug gesetzt\r\nhaben, am effizientesten? <\/p><p><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-ww2013_12_1.png\"><\/p>","type":"2","status":"1","image":"question_168_ww2013_12_1.png","randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:41:09","sortOrder":"958","answers":[{"id":"7679","question_id":"1961","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_014.png\">&nbsp;doppelt anklicken<br>","correct":"1","image":null,"sortOrder":"3734"},{"id":"7682","question_id":"1961","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_014.png\">&nbsp;anklicken<br>","correct":"0","image":null,"sortOrder":"3735"},{"id":"7685","question_id":"1961","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_015.png\">&nbsp;anklicken<br>","correct":"0","image":null,"sortOrder":"3736"},{"id":"7688","question_id":"1961","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_015.png\">&nbsp;doppelt anklicken<br>","correct":"0","image":null,"sortOrder":"3737"}]},{"id":"1964","title":"Frage 16","quiz_id":"224","description":"<p>Sie m\u00f6chten in Word einen Handzettel im\r\nQuerformat und in der Gr\u00f6\u00dfe A5 erstellen. Wo k\u00f6nnen Sie diese Einstellungen\r\nfestlegen?<\/p>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:42:24","sortOrder":"959","answers":[{"id":"7691","question_id":"1964","details":"Register <i>Start<\/i>, Gruppe <i>Formatvorlagen<\/i>","correct":"0","image":null,"sortOrder":"3738"},{"id":"7694","question_id":"1964","details":"Register <i>Layout<\/i>, Gruppe <i>Anordnen<\/i>","correct":"0","image":null,"sortOrder":"3739"},{"id":"7697","question_id":"1964","details":"Register <i>Layout<\/i>, Gruppe <i>Seite einrichten<\/i>","correct":"1","image":null,"sortOrder":"3740"},{"id":"7700","question_id":"1964","details":"Register <i>Entwurf<\/i>, Gruppe <i>Dokumentformatierung<\/i>","correct":"0","image":null,"sortOrder":"3741"}]},{"id":"1967","title":"Frage 17","quiz_id":"224","description":"<p>Ein Word-Dokument soll aus zwei Seiten\r\nbestehen: Die erste Seite soll im Hochformat, die zweite Seite im Querformat ausgerichtet sein. Zu diesem Zweck trennen Sie die beiden Seiten mit einem \u2026<\/p>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:42:54","sortOrder":"960","answers":[{"id":"7703","question_id":"1967","details":"Abschnittsumbruch","correct":"1","image":null,"sortOrder":"3742"},{"id":"7706","question_id":"1967","details":"Seitenumbruch","correct":"0","image":null,"sortOrder":"3743"},{"id":"7709","question_id":"1967","details":"Spaltenumbruch","correct":"0","image":null,"sortOrder":"3744"},{"id":"7712","question_id":"1967","details":"Textumbruch","correct":"0","image":null,"sortOrder":"3745"}]},{"id":"1970","title":"Frage 18","quiz_id":"224","description":"<p>Welche Taste halten Sie gedr\u00fcckt, um nach\r\nAnklicken der Formen <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-ww2013_17_1.png\"> oder <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-ww2013_17_2.png\"> ein Quadrat bzw. einen Kreis zu zeichnen?<\/p>","type":"2","status":"1","image":"question_171_ww2013_17_3.png","randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:43:11","sortOrder":"961","answers":[{"id":"7715","question_id":"1970","details":"<button onclick='return false' class='keyboard-altleft keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"3746"},{"id":"7718","question_id":"1970","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"3747"},{"id":"7721","question_id":"1970","details":"<button onclick='return false' class='keyboard-shiftleft keyboard-key'> <\/button>","correct":"1","image":null,"sortOrder":"3748"},{"id":"7724","question_id":"1970","details":"<button onclick='return false' class='keyboard-altright keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"3749"}]},{"id":"1973","title":"Frage 19","quiz_id":"224","description":"<p>Sie m\u00f6chten eine eingef\u00fcgte Illustration frei\r\nim Text positionieren. Au\u00dferdem soll der Text die Bildkontur umflie\u00dfen. Welche\r\nUmbruchart w\u00e4hlen Sie?<\/p><p><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-ww2013_18_1.png\"><\/p>","type":"2","status":"1","image":"question_172_ww2013_18_1.png","randomize":"0","reference":"","created_at":"2016-02-29 11:59:49","updated_at":"2016-02-29 12:44:15","sortOrder":"962","answers":[{"id":"7727","question_id":"1973","details":"<i>Oben und unten<\/i>","correct":"0","image":null,"sortOrder":"3750"},{"id":"7730","question_id":"1973","details":"<i>Quadrat<\/i>","correct":"0","image":null,"sortOrder":"3751"},{"id":"7733","question_id":"1973","details":"<i>Mit Text in Zeile<\/i>","correct":"0","image":null,"sortOrder":"3752"},{"id":"7736","question_id":"1973","details":"<i>Eng<\/i>","correct":"1","image":null,"sortOrder":"3753"}]},{"id":"1976","title":"Frage 20","quiz_id":"224","description":"Der Cursor befindet sich in der letzten Zelle\r\neiner Tabelle. Was geschieht, wenn Sie nun die Tabulatortaste <button onclick='return false' class='keyboard-tab keyboard-key'> <\/button> dr\u00fccken?<br>&nbsp; &nbsp;&nbsp;<br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-Tabelle.png\"><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 11:59:50","updated_at":"2016-02-29 12:44:43","sortOrder":"963","answers":[{"id":"7739","question_id":"1976","details":"Es wird eine leere Zeile hinzugef\u00fcgt.","correct":"1","image":null,"sortOrder":"3754"},{"id":"7742","question_id":"1976","details":"Es wird eine leere Spalte hinzugef\u00fcgt.","correct":"0","image":null,"sortOrder":"3755"},{"id":"7745","question_id":"1976","details":"Der Cursor springt zur vorherigen Zelle.","correct":"0","image":null,"sortOrder":"3756"},{"id":"7748","question_id":"1976","details":"Der Cursor springt zur ersten Zelle.","correct":"0","image":null,"sortOrder":"3757"}]},{"id":"1979","title":"Frage 21","quiz_id":"224","description":"<p>In den <i>Tabellentools<\/i> k\u00f6nnen Sie im&nbsp;Register <i>Layout<\/i>&nbsp;mit dem Befehl <i>Sortieren<\/i> den Inhalt einer Tabelle sortieren. Nach welchen Kriterien\r\nwurde die abgebildete Tabelle sortiert?<\/p><p><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-ww2013_20_1.png\"><\/p>","type":"2","status":"1","image":"question_174_ww2013_20_1.png","randomize":"0","reference":"","created_at":"2016-02-29 11:59:50","updated_at":"2016-02-29 12:46:10","sortOrder":"964","answers":[{"id":"7751","question_id":"1979","details":"Spalte <i>Nachname<\/i>, <i>Absteigend<\/i>","correct":"0","image":null,"sortOrder":"3758"},{"id":"7754","question_id":"1979","details":"Spalte <i>Vorname<\/i>, <i>Absteigend<\/i>","correct":"0","image":null,"sortOrder":"3759"},{"id":"7757","question_id":"1979","details":"Spalte <i>Nachname<\/i>, <i>Aufsteigend<\/i>","correct":"1","image":null,"sortOrder":"3760"},{"id":"7760","question_id":"1979","details":"Spalte <i>Kundennummer<\/i>, <i>Aufsteigend<\/i>","correct":"0","image":null,"sortOrder":"3761"}]},{"id":"1982","title":"Frage 22","quiz_id":"224","description":"<p>Welche Aussagen treffen zu, wenn die\r\nabgebildeten Druckeinstellungen vorgenommen wurden? Mehrere Antworten sind richtig.<\/p><p><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-WW2016_016.png\"><br><\/p>","type":"1","status":"1","image":"question_175_ww2013_26_1.png","randomize":"0","reference":"","created_at":"2016-02-29 11:59:50","updated_at":"2016-09-16 09:51:19","sortOrder":"965","answers":[{"id":"7763","question_id":"1982","details":"Bis auf Seite 5 werden alle Seiten gedruckt.","correct":"0","image":null,"sortOrder":"3762"},{"id":"7766","question_id":"1982","details":"Es werden die Seiten 1-20 gedruckt.","correct":"1","image":null,"sortOrder":"3763"},{"id":"7769","question_id":"1982","details":"Jede Seite wird auf einem eigenen Blatt gedruckt.","correct":"1","image":null,"sortOrder":"3764"},{"id":"7772","question_id":"1982","details":"Auch die Blattr\u00fcckseite wird bedruckt.","correct":"0","image":null,"sortOrder":"3765"}]},{"id":"1985","title":"Frage 23","quiz_id":"224","description":"<p>Wenn Sie ein Dokument irrt\u00fcmlich schlie\u00dfen, ohne dass es zuvor gespeichert wurde, k\u00f6nnen Sie es gegebenenfalls wiederherstellen.\r\nWelche Voraussetzungen m\u00fcssen hierzu erf\u00fcllt sein? Mehrere Antworten sind\r\nrichtig.<\/p>","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 11:59:50","updated_at":"2016-02-29 12:47:06","sortOrder":"966","answers":[{"id":"7775","question_id":"1985","details":"Das Dokument muss mindestens zehn Minuten lang ge\u00f6ffnet gewesen sein.","correct":"1","image":null,"sortOrder":"3766"},{"id":"7778","question_id":"1985","details":"Der Vorfall darf nicht l\u00e4nger als vier Tage zur\u00fcckliegen.","correct":"1","image":null,"sortOrder":"3767"},{"id":"7781","question_id":"1985","details":"Das Dokument wurde mindestens einmal von Ihnen gespeichert.","correct":"0","image":null,"sortOrder":"3768"},{"id":"7784","question_id":"1985","details":"Das Dokument ist nicht l\u00e4nger als eine Seite.","correct":"0","image":null,"sortOrder":"3769"}]},{"id":"1988","title":"Frage 24","quiz_id":"224","description":"<p>Wenn Sie ein Dokument im PDF-Format\r\nexportieren, kann es unter Beibehaltung seiner Formatierung auch ohne Word\r\ngelesen werden. Welche Optionen haben Sie, um eine PDF-Datei zu erstellen? Mehrere\r\nAntworten sind richtig.<\/p>","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 11:59:50","updated_at":"2016-02-29 12:47:44","sortOrder":"967","answers":[{"id":"7787","question_id":"1988","details":"Register <i>Datei<\/i>, <i>Exportieren<\/i>, <i>PDF\/XPS-Dokument erstellen<\/i>","correct":"1","image":null,"sortOrder":"3770"},{"id":"7790","question_id":"1988","details":"Register <i>Datei<\/i>, <i>Speichern unter<\/i>, <i>Dateityp PDF (*.pdf)<\/i>","correct":"1","image":null,"sortOrder":"3771"},{"id":"7793","question_id":"1988","details":"Register <i>Datei<\/i>, <i>Freigeben<\/i>, <i>E-Mail<\/i>, <i>Als PDF senden<\/i>","correct":"1","image":null,"sortOrder":"3772"},{"id":"7796","question_id":"1988","details":"Register <i>Sendungen<\/i>, Gruppe <i>Erstellen<\/i>, <i>PDF-Dokument <\/i>","correct":"0","image":null,"sortOrder":"3773"}]},{"id":"1991","title":"Frage 25","quiz_id":"224","description":"<p>Mit Dokumentvorlagen sparen Sie viel Zeit beim Erstellen h\u00e4ufig genutzter Dokumentarten, beispielsweise Gesch\u00e4ftsbriefe. Welche Optionen haben Sie, um eigene Dokumentvorlagen zu erhalten? Mehrere Antworten sind richtig.<\/p>","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 11:59:50","updated_at":"2016-02-29 12:48:13","sortOrder":"968","answers":[{"id":"7799","question_id":"1991","details":"Sie erstellen eine Dokumentvorlage auf Basis  eines neuen Dokuments, das Sie entsprechend Ihren W\u00fcnschen anpassen.","correct":"1","image":null,"sortOrder":"3774"},{"id":"7802","question_id":"1991","details":"Sie speichern ein bestehendes Dokument als Dokumentvorlage.","correct":"1","image":null,"sortOrder":"3775"},{"id":"7805","question_id":"1991","details":"Sie passen eine bestehende Dokumentvorlage an Ihre Bed\u00fcrfnisse an.","correct":"1","image":null,"sortOrder":"3776"},{"id":"7808","question_id":"1991","details":"Nur Microsoft kann Dokumentvorlagen erstellen und muss dazu beauftragt werden.","correct":"0","image":null,"sortOrder":"3777"}]},{"id":"1994","title":"Frage 26","quiz_id":"224","description":"<p>Welche Aussagen hinsichtlich Textfeldern\r\ntreffen zu? Mehrere Antworten sind richtig.<\/p>","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 11:59:50","updated_at":"2018-03-12 17:06:53","sortOrder":"969","answers":[{"id":"7811","question_id":"1994","details":"Textfelder k\u00f6nnen beliebig positioniert werden.","correct":"1","image":null,"sortOrder":"3778"},{"id":"7814","question_id":"1994","details":"Textfelder k\u00f6nnen beliebig gedreht werden.","correct":"1","image":null,"sortOrder":"3779"},{"id":"7817","question_id":"1994","details":"In Textfeldern kann nur die Standardschriftart genutzt werden.","correct":"0","image":null,"sortOrder":"3780"},{"id":"7820","question_id":"1994","details":"Textfelder besitzen immer eine wei\u00dfe F\u00fcllung.","correct":"0","image":null,"sortOrder":"3781"}]},{"id":"1997","title":"Frage 27","quiz_id":"224","description":"<p>Mal angenommen, Sie hei\u00dfen mit Nachnamen\r\n\u201eDeise\u201c. Immer wenn Sie Ihren Namen in Word eingeben, wird dieser automatisch in \u201eDiese\u201c ge\u00e4ndert. \u00dcber welchen Befehl stellen Sie diese Automatikfunktion ab? <\/p><p><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_224-ww2013_23_1.png\"><\/p>","type":"2","status":"1","image":"question_180_ww2013_23_1.png","randomize":"0","reference":"","created_at":"2016-02-29 11:59:50","updated_at":"2016-02-29 12:49:08","sortOrder":"970","answers":[{"id":"7823","question_id":"1997","details":"Register <i>\u00dcberpr\u00fcfen<\/i>, Gruppe <i>\u00c4nderungen<\/i>, <i>Ablehnen<\/i>","correct":"0","image":null,"sortOrder":"3782"},{"id":"7826","question_id":"1997","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button> <button onclick='return false' class='keyboard-z keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"3783"},{"id":"7829","question_id":"1997","details":"Register <i>Datei<\/i>, <i>Optionen<\/i>, <i>Dokumentpr\u00fcfung<\/i>, <i>AutoKorrektur-Optionen<\/i>","correct":"1","image":null,"sortOrder":"3784"},{"id":"7832","question_id":"1997","details":"Register <i>\u00dcberpr\u00fcfen<\/i>, Gruppe <i>Sch\u00fctzen<\/i>, <i>Bearbeitung einschr\u00e4nken<\/i>","correct":"0","image":null,"sortOrder":"3785"}]},{"id":"2000","title":"Frage 28","quiz_id":"224","description":"<p>Die Seriendruckfunktion von Word hilft Ihnen\r\nbeim Erstellen personalisierter Rundschreiben. Welche Datenquellen k\u00f6nnen Sie f\u00fcr Ihre Seriendruckdokumente verwenden? Mehrere Antworten sind richtig.<\/p>","type":"1","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 11:59:50","updated_at":"2016-02-29 12:49:27","sortOrder":"971","answers":[{"id":"7835","question_id":"2000","details":"Microsoft-Office-Adressliste","correct":"1","image":null,"sortOrder":"3786"},{"id":"7838","question_id":"2000","details":"Outlook-Kontakte","correct":"1","image":null,"sortOrder":"3787"},{"id":"7841","question_id":"2000","details":"Excel-Tabelle","correct":"1","image":null,"sortOrder":"3788"},{"id":"7844","question_id":"2000","details":"PowerPoint-Pr\u00e4sentation","correct":"0","image":null,"sortOrder":"3789"}]},{"id":"2003","title":"Frage 29","quiz_id":"224","description":"Sie erstellen ein Dokument mit einem mehrseitigen Sitzungsprotokoll. Hierbei soll nur die erste Seite eine Kopfzeile mit dem Firmenlogo erhalten. Welche Einstellung nehmen Sie vor?","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 11:59:50","updated_at":"2016-02-29 12:50:42","sortOrder":"972","answers":[{"id":"7847","question_id":"2003","details":"Kopfzeile der ersten Seite doppelt anklicken, Register <i>Entwurf (<\/i><i><i>Kopf- und Fu\u00dfzeilentools<\/i>)<\/i>, <i>Erste Seite anders<\/i><br>","correct":"1","image":null,"sortOrder":"3790"},{"id":"7850","question_id":"2003","details":"Kopfzeile der ersten Seite doppelt anklicken, Register<i>&nbsp;<\/i><i>Entwurf (<\/i><i><i>Kopf- und Fu\u00dfzeilentools<\/i>)<\/i>, <i>Gerade &amp; ungerade Seiten unterschiedlich<\/i>","correct":"0","image":null,"sortOrder":"3791"},{"id":"7853","question_id":"2003","details":"Kopfzeile der ersten Seite doppelt anklicken, Register&nbsp;<i>Entwurf (<\/i><i><i>Kopf- und Fu\u00dfzeilentools<\/i>)<\/i>, <i>Folgeseiten anders<\/i>","correct":"0","image":null,"sortOrder":"3792"},{"id":"7856","question_id":"2003","details":"Das ist nicht m\u00f6glich. Alle Kopfzeilen eines Dokuments sind identisch.","correct":"0","image":null,"sortOrder":"3793"}]},{"id":"2006","title":"Frage 30","quiz_id":"224","description":"<p>Wie lautet die Voraussetzung, damit Sie ein\r\nDokument mit einem automatisch erzeugten Inhaltsverzeichnis versehen k\u00f6nnen?<\/p>","type":"2","status":"1","image":null,"randomize":"0","reference":"","created_at":"2016-02-29 11:59:50","updated_at":"2016-02-29 12:50:57","sortOrder":"973","answers":[{"id":"7859","question_id":"2006","details":"Jede \u00dcberschrift muss mit einer \u00dcberschriftformatvorlage versehen sein.","correct":"1","image":null,"sortOrder":"3794"},{"id":"7862","question_id":"2006","details":"Jede \u00dcberschrift muss unterstrichen formatiert sein.","correct":"0","image":null,"sortOrder":"3795"},{"id":"7865","question_id":"2006","details":"Das Word-Dokument muss l\u00e4nger als zwei Seiten sein.","correct":"0","image":null,"sortOrder":"3796"},{"id":"7868","question_id":"2006","details":"Alle \u00dcberschriften m\u00fcssen mit gedr\u00fcckter <button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button>-Taste markiert werden.<br>","correct":"0","image":null,"sortOrder":"3797"}]}],"groups":[]};
    var current = 0;
    var answers = [];
    var results = [];
    var submitted = 0;

    //Hack for IE (localStorage does not supported in IE when you open file locally)
    if (localStorage == undefined) {
        angular.element('.col-md-8.ng-scope').html('<h1 class="text-center">Ein Fehler ist Aufgetreten. <br/>Dieser Browser unterstützt keinen Webspeicher bei lokaler Ausführung! <br/>Bitte benutzen Sie einen anderen Browser.</h1>');
    }

    return {
        getData: function() { return data; },

        setCurrent: function(value) { current = value; localStorage.setItem('current', current);},
        getCurrent: function() { if (localStorage.getItem('current') != null) {
                                     current =  localStorage.getItem('current');
                                 }
                                 return current;
                                },
        setAnswer: function(value) {

            if (answers[current] == null || typeof(answers[current])== undefined)
            {
                answers[current] = value;
            }
            localStorage.setItem('answers', JSON.stringify(answers));
        },
        setResult: function(value) {

            if (results[current] == null || typeof(results[current])== undefined)
            {
                results[current] = value;
            }
            localStorage.setItem('results', JSON.stringify(results));
        },
        getResult: function() { if (localStorage.getItem('results')!= null) {
                                results = JSON.parse(localStorage.getItem('results'));
                                }
                                return results[current];
                               },
        getResults: function() { if (localStorage.getItem('results')!= null) {
                                   results = JSON.parse(localStorage.getItem('results'));
                                }
                                return results;
                                },
        resetResults: function() { results = [];   localStorage.removeItem('results');},
        resetAnswers: function() { answers = [];  localStorage.removeItem('answers');},
        getAnswer: function() {
                                if (localStorage.getItem('answers') != null){
                                    answers = JSON.parse(localStorage.getItem('answers'));
                                }
                                return answers[current];
                              },
        getAnswers: function() {
                                 if (localStorage.getItem('answers') != null){
                                    answers = JSON.parse(localStorage.getItem('answers'));
                                 }
                                 return answers;
                                },

        setSubmitted: function() { submitted++; localStorage.setItem('submitted', submitted); },
        resetSubmitted: function() { submitted = 0; localStorage.setItem('submitted', submitted);  },
        getSubmitted: function() { if (localStorage.getItem('submitted')!= null) {
                                    submitted = localStorage.getItem('submitted');
                                    }
                                   return submitted;
                                  }
    };
});


quizControllers.controller('QuizStartCtrl', ['$scope','$http','$localStorage','$location','$sce','Global',
  function($scope, $http, $localStorage, $location, $sce, Global) {
      $scope.go = function ( path ) {
          $location.path( path );
      };
      Global.setCurrent(0);
      Global.resetSubmitted();
      Global.resetAnswers();
      Global.resetResults();
      localStorage.clear();
      $scope.data = Global.getData();
      $scope.current = Global.current;
      $scope.quiz = $scope.data;
      $scope.size = $scope.data.questions.length;
      $scope.description = $sce.trustAsHtml($scope.data.description);


  }]);

quizControllers.controller('QuizResultsCtrl', ['$scope', '$rootScope', '$http', '$localStorage', '$location','$sce', 'Global',
    function($scope, $rootScope, $http, $localStorage, $location, $sce, Global) {

        $scope.go = function ( path ) {
            $location.path( path );
        };
        $scope.submitted = Global.getSubmitted();

        $scope.stop = function () {
            BootstrapDialog.show({
                title: 'Konfirmation',
                message: 'Wollen Sie wirklich den Test beenden?',
                buttons: [{
                    label: 'Ja',
                    action: function(dialogRef){
                        Global.setCurrent(0);
                        Global.resetSubmitted();
                        Global.resetAnswers();
                        Global.resetResults();
                        localStorage.clear();
                        dialogRef.close();

                        $rootScope.$apply(function() {
                            $location.path('/quiz');
                        });
                    }
                },{
                    label: 'Nein',
                    action: function(dialogRef){
                        dialogRef.close();
                    }
                },
                ]
            });
        };

        if (!$scope.submitted) {
            $scope.stop();
        }


        $scope.data = Global.getData();
        $scope.current = Global.current;
        $scope.quiz = $scope.data;
        $scope.size = $scope.data.questions.length;

        $scope.results = Global.getResults();
        $scope.sum = 0;
        for (var i in $scope.results) {
            $scope.sum += $scope.results[i];
        }

        $scope.reference = $sce.trustAsHtml($scope.quiz.reference);

        $scope.percent = Math.round($scope.sum * 100/ $scope.size);
        if ($scope.data.score) {
            $scope.passed = ($scope.percent >= $scope.data.score);
        } else {
            $scope.passed = 0;
        }

        $scope.score = $scope.data.score;
        $scope.group = '';
        $scope.group_description = '';
        if ($scope.data.score) {
            for (var i in $scope.data.groups) {
                if ($scope.percent >= $scope.data.groups[i]['score']) {
                  $scope.group = $scope.data.groups[i]['name'];
                  $scope.group_description = $sce.trustAsHtml($scope.data.groups[i]['description']);
                  break;
                }
            }
        }
        for (var i in $scope.data.questions) {
            if (typeof($scope.data.questions[i]['reference']) != 'object') {
            $scope.data.questions[i]['reference'] = $sce.trustAsHtml($scope.data.questions[i]['reference']);
        }
        }

    }]);

quizControllers.controller('QuizProcessCtrl', ['$scope', '$rootScope', '$http', '$localStorage', '$location','$sce','$routeParams','Global',
    function($scope, $rootScope, $http,  $localStorage, $location, $sce, $routeParams, Global) {
        $scope.go = function ( path ) {
            $location.path( path );
        };

        $scope.stop = function () {
            BootstrapDialog.show({
                title: 'Konfirmation',
                message: 'Wollen Sie wirklich den Test beenden?',
                buttons: [{
                    label: 'Ja',
                    action: function(dialogRef){
                        Global.setCurrent(0);
                        Global.resetSubmitted();
                        Global.resetAnswers();
                        dialogRef.close();

                        $rootScope.$apply(function() {
                            $location.path('/quiz');
                        });
                    }
                },{
                    label: 'Nein',
                    action: function(dialogRef){
                        dialogRef.close();
                    }
                },
                ]
            });
        };
        $scope.submit = function () {
            if ($("input[name=answer]:checked").get().length)
            {
                Global.setSubmitted();
                $scope.submitted = Global.getSubmitted();
                $scope.showSubmit = false;
                $scope.showSkip = false;
                $scope.showNext = !$scope.last;
                $scope.showResult = $scope.submitted == $scope.size;
                $scope.showMissed = $scope.last &&  $scope.submitted != $scope.size;

                if ($("input[name=answer]:checked").get().length == 1) {
                    var check = $("input[name=answer]:checked").val();
                } else {
                    var check = $("input[name=answer]:checked").map(function() {
                            return this.value;
                    }).get();
                }

                Global.setAnswer(check);
                $scope.answer = Global.getAnswer();
                var point = 1;
                $.when($("input[name=answer]").each(function(){
                        if ($(this).attr('data-correct') == 1)
                        {
                            $(this).parent().addClass('test');
                        }
                        else if (this.checked && $(this).attr('data-correct') != 1) {
                            $(this).parent().addClass('test2');
                        }
                        if( ($(this).attr('data-correct')==1 && !this.checked) ||
                            ($(this).attr('data-correct')!=1 && this.checked)) {
                            point = 0;
                        }
                    })).done(function(){
                            Global.setResult(point);
                });
            } else {
                BootstrapDialog.show({
                    title: 'Warnung',
                    message: 'Bitte wählen Sie mindestens eine Antwort aus',
                    buttons: [{
                        label: 'OK',
                        action: function(dialogRef){
                            dialogRef.close();
                        }
                    },
                    ]
                });

            }

        };
        $scope.data = Global.getData();

        $scope.shift = $routeParams.shift;
        $scope.current = Global.getCurrent();

        if ($scope.shift) {
            Global.setCurrent(parseInt($scope.shift));
            $scope.current = parseInt($scope.shift);
        }

        $scope.question =  $scope.data.questions[$scope.current];

        if (typeof($scope.question) != undefined) {
            $scope.size =  $scope.data.questions.length;
            $scope.answer = Global.getAnswer();
            $scope.answers = Global.getAnswers();

            $scope.submitted = Global.getSubmitted();

            $scope.results = Global.getResults();

            $scope.last = (($scope.current + 1) == $scope.size);

            $scope.prev = $scope.current-1;
            $scope.next = $scope.next-1;

            if (typeof($scope.question.description) != 'object') {
                $scope.description = $sce.trustAsHtml($scope.question.description);
            }
            if (typeof($scope.question.reference) != 'object') {
                $scope.reference = $sce.trustAsHtml($scope.question.reference);
            }

            for (var i in $scope.question.answers) {
                if (typeof($scope.question.answers[i].details) != 'object') {
                    $scope.question.answers[i].details = $sce.trustAsHtml($scope.question.answers[i].details);
                }
            }

            $scope.range = []

            for (var i=1; i<=$scope.size; i++) {
                $scope.range.push(i);
            }

            $scope.showSubmit = !$scope.answer;
            $scope.showNext = !$scope.last && $scope.answer;
            $scope.showPrev = $scope.current > 0;
            $scope.showMissed = $scope.last &&  $scope.answer && $scope.submitted != $scope.size;

            $scope.showResult =  $scope.submitted == $scope.size;

            $scope.showSkip = !$scope.last && !$scope.answer;
            $scope.showImg = $scope.question.image;

            $scope.percent = ($scope.current+1)*100/$scope.size ;
        }
        $scope.url = window.location.href;


    }]);


